<?php
defined('BASEPATH') OR exit('No direct script access allowed');



class AuthController extends CI_Controller {

    private $msg;
    
    function __construct() {
        parent::__construct();
        $this->lang->load('msg');
         
        $this->load->library('AuthLibrary');
        $this->load->library('form_validation');
        // $this->load->model('Authmodel');
    }
    
    private function display_msg($msg) {
        $this->msg .= $msg . nl2br("\n");
    }
    

    
    private function logged_in()
    {
        if(!$this->session->userdata('user_status'))
        {
            //$this->session->set_flashdata('danger', "session expired");
            $this->load->view('admin/login');
        }
        else
        {
            redirect(base_url().'program_list');
        }
    }
    
    function login() 
    { 
        $this->logged_in();
            $this->form_validation->set_rules('username', 'Username', 'required');
            $this->form_validation->set_rules('password', 'Password', 'required');
            $this->form_validation->set_error_delimiters('<div class="error">', '</div>');
            //dsm($_POST);
            if(isset($_POST))
            {
                if ($this->form_validation->run() ==true) 
                {       
                    $username = $this->input->post('username');
                    $password = $this->input->post('password');
                    $login_data = $this->authmodel->get_user($username, $password);
               // dsm($login_data);die;
                    if ($login_data) 
                    {        

                        $this->session->set_userdata(array(
                            'user_id' => $login_data->user_id,
                            'user_name' => $login_data->user_name,
                            'user_email' => $login_data->user_email,
                            'user_status' => 1

                        ));

                        redirect(base_url().'program_list');


                    } 
                    else 
                    {
                        $this->session->set_flashdata('danger', 'Invalid email or password');
                        redirect('admin');
                    }
                }
                else
                {
                   $this->session->set_flashdata('danger', validation_errors());
                   $this->load->view('admin/login');
               }
            }
            else
            {
                //
                 $this->session->set_flashdata('danger', "session expired");
                $this->load->view('admin/login');
            }
        
    }
    
    public function logout()
    {
        //echo "hi";die;
        $this->session->sess_destroy();
        $this->session->set_flashdata('success', 'Logout Successfully');
        $this->session->unset_userdata('user_status');
        
        redirect('admin');
    }
}
