<?php
defined('BASEPATH') OR exit('No direct script access allowed');



class AuthController extends CI_Controller {

    private $msg;
    
    function __construct() {
        parent::__construct();
        $this->lang->load('msg');
        $this->load->library('AuthLibrary');
        $this->load->library('form_validation');
        $this->load->model('AuthModel');
    }
    
    private function display_msg($msg) {
        $this->msg .= $msg . nl2br("\n");
    }
    

    
    private function logged_in()
    {
        if(!$this->session->userdata('user_status'))
        {
            redirect('admin');
        }
        else
        {
            redirect(base_url().'brand_list');
        }
    }
    
    function login() 
    { 
        $this->form_validation->set_rules('username', 'Username', 'trim|required|max_length[100]');
            $this->form_validation->set_rules('password', 'Password', 'trim|required|max_length[25]');
             $this->form_validation->set_error_delimiters('<div class="error">', '</div>');
            if ($this->form_validation->run()) 
            {       
                $username = $this->input->post('username');
                $password = $this->input->post('password');
                $login_data = $this->AuthModel->get_user($username, $password);
                //dsm($login_data);
                if ($login_data) 
                {        
              
                $this->session->set_userdata(array(
                    'user_id' => $login_data->user_id,
                    'user_name' => $login_data->user_name,
                    'user_email' => $login_data->user_email,
                    'user_status' => 1
                    
                ));
                    //echo "success";die;
                    // $this->session->set_flashdata('success', 'LoggedIn Successfully');
                    redirect(base_url().'brand_list');
                } 
                else 
                {
                    $this->session->set_flashdata('danger', 'Invalid email or password');
                    redirect('admin');
                }
            }
            else
            {
                $this->load->view('admin/login');
            }
        
    }
    
    public function logout()
    {
        $this->session->set_flashdata('success', 'Logout Successfully');
        $this->session->sess_destroy();
        redirect('admin');
    }
}
