<?php
defined('BASEPATH') OR exit('No direct script access allowed');



class Backend extends CI_Controller {
	
	 function __construct() 
	 {
        parent::__construct();
        $this->logged_in();
		 $this->load->library('form_validation');
		 $this->load->model('MasterModel');
		 $this->load->library('email');
    }


    private function logged_in()
    {
        if(!$this->session->userdata('user_status'))
        {
            redirect('admin');
        }
        
    }

    public function brand_list()
    {
    	$data['title'] = " Brand List";
    	// $data['brand_list'] = $this->MasterModel->get_brand();
    	$data['brand_list']=$this->MasterModel->get_brand_category();
		// $data['brand_category']=parent_child($data['brand_category'], 'category_id');
		$data['file_name'] = 'admin/brand-list';
		$this->load->view('admin/master', $data);
    }
	
	public function brand_add($brand_id=false)
    {
    	$data['title'] = "Brand Add";
    	$data['category_list'] = $this->MasterModel->get_category();
    	
    	if(!empty($brand_id))
		{
			$data['title'] = "Edit Brand";
			$data['brand_id'] = $brand_id;
			$filter_brand['brand.brand_id']=$brand_id;
			$data['edit_data'] = $this->MasterModel->get_brand($filter_brand);
		}
		$data['file_name'] = 'admin/brand-add';
		$this->load->view('admin/master', $data);
    }


    function brand_save($brand_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'brand_name',
    			'label'=>'Brand Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_brand_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(validation_errors());
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			return 0;
    		}
    	}

		$brand_id = $this->input->post('brand_id');


    	$brand_banner_image=file_upload('brand_banner_image', $post_array['brand_banner_image']);
    	$mobile_brand_banner_image=file_upload('mobile_brand_banner_image', $post_array['mobile_brand_banner_image']);



    	$brand_data = array(
    		'brand_name' => $post_array['brand_name'],
    		'brand_category_id' => $post_array['category_id'],

    	);

    	if(!empty($brand_banner_image)) {
    		$brand_data['brand_banner_image']=$brand_banner_image;
    	}
    	if(!empty($mobile_brand_banner_image)) {
    		$brand_data['mobile_brand_banner_image']=$mobile_brand_banner_image;
    	}

    	if (!empty($brand_id)) 
    	{
    		$insert = $this->MasterModel->update_brand($brand_data, $brand_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_brand($brand_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'brand_list');
    	}

    } 

    public function brand_delete()
		{
			$id=$this->input->post('id');

			$filter_get_category['WHERE']="brand_id = ".$id."";
			$Selimage = $this->MasterModel->get_brand($filter_get_category);
		
			$dd = unlink($Selimage[0]['brand_banner_image']);
			if($dd)
			{
				$del= $this->db->query("DELETE FROM tbl_brand WHERE brand_id='$id'");
				if($del)
				{
					$res = array("status"=>"success","message"=>"Deleted Successfully");
					echo json_encode($res);
				}
				else
				{
					$res = array("status"=>"error","message"=>"Something Went Wrong");
					echo json_encode($res);
				}
			}


			
		}

    public function model_list()
    {
    	$data['title'] = " Model List";
    	// $data['model_list'] = $this->MasterModel->get_model();
    	$data['model_list']=$this->MasterModel->get_model_brand();
		// $data['model_brand']=parent_child($data['model_brand'], 'brand_id');
		$data['file_name'] = 'admin/model-list';
		$this->load->view('admin/master', $data);
    }
	
	public function model_add($model_id=false)
    {
    	$data['title'] = "Model Add";
    	$data['brand_list'] = $this->MasterModel->get_brand();
    	
    	if(!empty($model_id))
		{
			$data['title'] = "Edit Model";
			$data['model_id'] = $model_id;
			$filter_model['model.model_id']=$model_id;
			$data['edit_data'] = $this->MasterModel->get_model($filter_model);
		}
		$data['file_name'] = 'admin/model-add';
		$this->load->view('admin/master', $data);
    }


    function model_save($model_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'model_name',
    			'label'=>'Model Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_model_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(validation_errors());
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			return 0;
    		}
    	}

		$model_id = $this->input->post('model_id');


    	$model_cover_image=file_upload('model_cover_image', $post_array['model_cover_image']);



    	$model_data = array(
    		'model_name' => $post_array['model_name'],
    		'model_brand_id' => $post_array['brand_id'],

    	);

    	if(!empty($model_cover_image)) {
    		$model_data['model_cover_image']=$model_cover_image;
    	}

    	if (!empty($model_id)) 
    	{
    		$insert = $this->MasterModel->update_model($model_data, $model_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_model($model_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'model_list');
    	}

    }


    


		

		public function model_delete()
		{
			$id=$this->input->post('id');

			$filter_get_category['WHERE']="model_id = ".$id."";
			$Selimage = $this->MasterModel->get_model($filter_get_category);
		
			$dd = unlink($Selimage[0]['model_cover_image']);
			if($dd)
			{
				$del= $this->db->query("DELETE FROM tbl_model WHERE model_id='$id'");
				if($del)
				{
					$res = array("status"=>"success","message"=>"Deleted Successfully");
					echo json_encode($res);
				}
				else
				{
					$res = array("status"=>"error","message"=>"Something Went Wrong");
					echo json_encode($res);
				}
			}


			
		}


		// Gallery


	public function model_gallery_list()
    {
    	$data['title'] = "Gallery List";
    	$data['model_gallery_list'] = $this->MasterModel->get_gallery();
    	$data['gallery_model']=$this->MasterModel->get_gallery_model();
		$data['gallery_model']=parent_child($data['gallery_model'], 'model_id');

		$data['type']=$this->MasterModel->get_type();
		$data['type']=parent_child($data['type'], 'type_id');

		$data['file_name'] = 'admin/model-gallery-list';
		$this->load->view('admin/master', $data);
    }
	
	public function model_gallery_add($gallery_id=false)
    {
    	$data['title'] = "Gallery Add";
    	$data['model_list'] = $this->MasterModel->get_model();
    	$data['type_list'] = $this->MasterModel->get_type();
    	
    	if(!empty($gallery_id))
		{
			$data['title'] = "Edit Gallery";
			$data['gallery_id'] = $gallery_id;
			$filter_gallery['gallery.gallery_id']=$gallery_id;
			$data['edit_data'] = $this->MasterModel->get_gallery($filter_gallery);
		}
		$data['file_name'] = 'admin/model-gallery-add';
		$this->load->view('admin/master', $data);
    }


    

   public function model_gallery_save($gallery_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	//dsm($post_array);die;

		$model_id = $post_array['model_id'];
    	$type_id = $post_array['type_id'];
    	$targetDir = "uploads/gallery_image/".$model_id.'/'.$type_id.'/'; 


    	// $gallery_cover_image=file_upload('gallery_cover_image', $post_array['gallery_cover_image']);

		
        $data = array(); 
        $errorUploadType = $statusMsg = ''; 

         
        if(!empty($_FILES['files']['name']) && count(array_filter($_FILES['files']['name'])) > 0)
        { 

                $filesCount = count($_FILES['files']['name']); 
                for($i = 0; $i < $filesCount; $i++)
                { 
                    $_FILES['file']['name']     = $_FILES['files']['name'][$i]; 
                    $_FILES['file']['type']     = $_FILES['files']['type'][$i]; 
                    $_FILES['file']['tmp_name'] = $_FILES['files']['tmp_name'][$i]; 
                    $_FILES['file']['error']     = $_FILES['files']['error'][$i]; 
                    $_FILES['file']['size']     = $_FILES['files']['size'][$i]; 
                       $fileType = $_FILES['files']['type'][$i];
                    
                    $config['upload_path'] = $targetDir; 
                    $config['allowed_types'] = 'jpg|jpeg|png'; 
                    $config['file_name'] = $_FILES['file']['name']; 
                    $fileName = time().rand(100000,1000000); 
                     
                     if(!file_exists($config['upload_path'])) 
                     {
						mkdir($config['upload_path'], 0777, true);
					}
                    // Load and initialize upload library 
                    $this->load->library('upload', $config); 
                    $this->upload->initialize($config); 
                     
                    // Upload file to server 
                    if($this->upload->do_upload('file')){ 
                        // Uploaded file data 
                        
          
            


                        $fileData = $this->upload->data(); 
                        $targetFilePath = $targetDir . $fileData['file_name']; 
                        $gallery_data[$i]['gallery_image'] = $targetFilePath;
                        $gallery_data[$i]['gallery_model_id'] = $model_id; 
                        $gallery_data[$i]['gallery_image_type'] = $type_id; 
                    }else{  
                        $errorUploadType .= $_FILES['file']['name'].' | ';  
                    } 
                } 
                 
                $errorUploadType = !empty($errorUploadType)?'<br/>File Type Error: '.trim($errorUploadType, ' | '):''; 
                if(!empty($gallery_data)){ 
                    // Insert files data into the database 
                    $insert = $this->MasterModel->add_gallery($gallery_data); 
                     
                    // Upload status message 
                    $statusMsg = $insert?'Files uploaded successfully!'.$errorUploadType:'Some problem occurred, please try again.'; 
                }else{ 
                    $statusMsg = "Sorry, there was an error uploading your file.".$errorUploadType; 
                } 
        }
        else
         { 
                $statusMsg = 'Please select image files to upload.'; 
         } 
      
         
       
   
    	



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message($statusMsg);
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'model_gallery_list');
    	}

    }



		public function model_gallery_delete()
		{
			$id=$this->input->post('id');

			$filter_get_category['WHERE']="gallery_id = ".$id."";
			$Selimage = $this->MasterModel->get_gallery($filter_get_category);
		
			$dd = unlink($Selimage[0]['gallery_image']);
			if($dd)
			{
				$del= $this->db->query("DELETE FROM tbl_model_gallery WHERE gallery_id='$id'");
				if($del)
				{
					$res = array("status"=>"success","message"=>"Deleted Successfully");
					echo json_encode($res);
				}
				else
				{
					$res = array("status"=>"error","message"=>"Something Went Wrong");
					echo json_encode($res);
				}
			}


			
		}


		public function brand_sort_sequence()
		{
			$allData = $_POST['allData'];
			$i = 1;
			//dsm($allData);die;
			foreach ($allData as $key => $value) 
			{
				$sql = "UPDATE tbl_brand SET display_order=".$i." WHERE brand_id=".$value;
				$q = $this->db->query($sql);
				
				$i++;
				
			}

		}
	
}
?>