<?php
defined('BASEPATH') OR exit('No direct script access allowed');



class Backend extends CI_Controller {
	
	 function __construct() 
	 {
        parent::__construct();
        $this->logged_in();
		 $this->load->library('form_validation');
		 $this->load->model('MasterModel');
		 $this->load->library('email');
    }


    private function logged_in()
    {
        if(!$this->session->userdata('user_status'))
        {
            redirect('admin');
        }
        
        
    }

    public function program_list()
    {
    	$data['title'] = "Program List";
    	$data['program_list'] = $this->MasterModel->get_program();
		$data['file_name'] = 'admin/program_list';
		$this->load->view('admin/master', $data);
    }
	
	public function program_add($program_id=false)
    {
    	$data['title'] = "Program Add";
    	
    	if(!empty($_POST))
    	{
    		$this->program_save();
    	}
    	
    	if(!empty($program_id))
		{
			$data['title'] = "Edit Program";
			$data['program_id'] = $program_id;
			$filter_program['program.program_id']=$program_id;
			$data['edit_data'] = $this->MasterModel->get_program($filter_program);
		}
		$data['file_name'] = 'admin/program_add';
		$this->load->view('admin/master', $data);
    }


    function program_save($program_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'program_name',
    			'label'=>'program Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_program_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(strip_tags(validation_errors()));
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			
    		}
    	}

		$program_id = $this->input->post('program_id');


    	



    	$program_data = array(
    		'program_name' => $post_array['program_name'],
    		

    	);

    	

    	if(!empty($program_id)) 
    	{
    		$insert = $this->MasterModel->update_program($program_data, $program_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_program($program_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'program_list');
    	}

    } 

    public function program_delete()
		{
			$id=$this->input->post('id');

			$filter_get_category['WHERE']="program_id = ".$id."";
			$Selimage = $this->MasterModel->get_program($filter_get_category);
		
			$dd = unlink($Selimage[0]['program_banner_image']);
			if($dd)
			{
				$del= $this->db->query("DELETE FROM program WHERE program_id='$id'");
				if($del)
				{
					$res = array("status"=>"success","message"=>"Deleted Successfully");
					echo json_encode($res);
				}
				else
				{
					$res = array("status"=>"error","message"=>"Something Went Wrong");
					echo json_encode($res);
				}
			}


			
		}

    public function admission_year_list()
    {
    	$data['title'] = "Admission Year List";
    	$data['year_list']=$this->MasterModel->get_admission_year();
		$data['file_name'] = 'admin/admission_year_list';
		$this->load->view('admin/master', $data);
    }
	
	public function admission_year_add($ay_id=false)
    {
    	$data['title'] = "Add Admission Year";
    	if(!empty($_POST))
    	{
    		$this->admission_year_save();
    	}
    	if(!empty($ay_id))
		{
			$data['title'] = "Edit Admission Year";
			$data['ay_id'] = $ay_id;
			$filter_model['admission_year.ay_id']=$ay_id;
			$data['edit_data'] = $this->MasterModel->get_admission_year($filter_model);
		}
		$data['file_name'] = 'admin/admission_year_add';
		$this->load->view('admin/master', $data);
    }


    function admission_year_save($ay_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'ay_name',
    			'label'=>'Admission year Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_year_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(validation_errors());
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			return 0;
    		}
    	}

		$ay_id = $this->input->post('ay_id');


    	



    	$ay_data = array(
    		'ay_name' => $post_array['ay_name'],
    		

    	);

    	

    	if (!empty($ay_id)) 
    	{
    		$insert = $this->MasterModel->update_admission_year($ay_data, $ay_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_admission_year($ay_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'admission_year_list');
    	}

    }


    
public function caste_list()
	{

		$data['title'] = "Caste List";
		$data['caste_list'] = $this->MasterModel->get_caste();
		$data['file_name'] = 'admin/caste_list';
		$this->load->view('admin/master', $data);
	}
	
	
	public function caste_add($caste_id=false)
    {
    	$data['title'] = "Caste Add";
    	if(!empty($_POST))
    	{
    		$this->caste_save();
    	}
    	
    	if(!empty($caste_id))
		{
			$data['title'] = "Edit Caste";
			$data['caste_id'] = $caste_id;
			$filter_caste['caste.caste_id']=$caste_id;
			$data['edit_data'] = $this->MasterModel->get_caste($filter_caste);
		}
		$data['file_name'] = 'admin/caste_add';
		$this->load->view('admin/master', $data);
    }

    


    

   function caste_save($caste_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'caste_name',
    			'label'=>'Caste Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_caste_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(validation_errors());
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			return 0;
    		}
    	}

		$caste_id = $this->input->post('caste_id');

		$caste_data = array(
    		'caste_name' => $post_array['caste_name'],
    		

    	);

    	

    	if (!empty($caste_id)) 
    	{
    		$insert = $this->MasterModel->update_caste($caste_data, $caste_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_caste($caste_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'caste_list');
    	}

    }


public function qualifying_exam_list()
    {
    	$data['title'] = "Qualifying Exam List";
    	$data['qualifying_exam_list']=$this->MasterModel->get_qualifying_exam();
		$data['file_name'] = 'admin/qualifying_exam_list';
		$this->load->view('admin/master', $data);
    }
	
	public function qualifying_exam_add($qualifying_exam_id=false)
    {
    	$data['title'] = "Add Qualifying Exam";
    	if(!empty($_POST))
    	{
    		$this->qualifying_exam_save();
    	}
    	if(!empty($qualifying_exam_id))
		{
			$data['title'] = "Edit Qualifying Exam";
			$data['qualifying_exam_id'] = $qualifying_exam_id;
			$filter_model['qualifying_exam.qualifying_exam_id']=$qualifying_exam_id;
			$data['edit_data'] = $this->MasterModel->get_qualifying_exam($filter_model);
		}
		$data['file_name'] = 'admin/qualifying_exam_add';
		$this->load->view('admin/master', $data);
    }


    function qualifying_exam_save($qualifying_exam_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'qualifying_exam_name',
    			'label'=>'Qualifying Exam Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_qualifying_exam_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(validation_errors());
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			return 0;
    		}
    	}

		$qualifying_exam_id = $this->input->post('qualifying_exam_id');


    	



    	$qualifying_exam_data = array(
    		'qualifying_exam_name' => $post_array['qualifying_exam_name'],
    		

    	);

    	

    	if (!empty($qualifying_exam_id)) 
    	{
    		$insert = $this->MasterModel->update_qualifying_exam($qualifying_exam_data, $qualifying_exam_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_qualifying_exam($qualifying_exam_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'qualifying_exam_list');
    	}

    }



    public function degree_course_list()
    {
    	$data['title'] = "Degree Course List";
    	$data['degree_course_list']=$this->MasterModel->get_degree_course_by_qual();
		$data['file_name'] = 'admin/degree_course_list';
		$this->load->view('admin/master', $data);
    }
	
	public function degree_course_add($dg_id=false)
    {
    	$data['title'] = "Add Degree Course";
    	$data['qualifying_exam_list']=$this->MasterModel->get_qualifying_exam();
    	if(!empty($_POST))
    	{
    		$this->degree_course_save();
    	}
    	if(!empty($dg_id))
		{
			$data['title'] = "Edit Degree Course";
			$data['dg_id'] = $dg_id;
			$filter_model['degree_course.dg_id']=$dg_id;
			$data['edit_data'] = $this->MasterModel->get_degree_course($filter_model);
		}
		$data['file_name'] = 'admin/degree_course_add';
		$this->load->view('admin/master', $data);
    }


    function degree_course_save($dg_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'dg_name',
    			'label'=>'Degree Course Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_degree_course_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(validation_errors());
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			return 0;
    		}
    	}

		$dg_id = $this->input->post('dg_id');


    	



    	$degree_course_data = array(
    		'dg_name' => $post_array['dg_name'],
    		'name_of_examination' => $post_array['name_of_examination'],
    		

    	);

    	

    	if (!empty($dg_id)) 
    	{
    		$insert = $this->MasterModel->update_degree_course($degree_course_data, $dg_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_degree_course($degree_course_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'degree_course_list');
    	}

    }
		
    public function entrance_exam_list()
    {
    	$data['title'] = "Entrance Exam List";
    	$data['entrance_exam_list']=$this->MasterModel->get_entrance_exam();
		$data['file_name'] = 'admin/entrance_exam_list';
		$this->load->view('admin/master', $data);
    }
	
	public function entrance_exam_add($entrance_exam_id=false)
    {
    	$data['title'] = "Add Entrance Exam";
    	if(!empty($_POST))
    	{
    		$this->entrance_exam_save();
    	}
    	if(!empty($entrance_exam_id))
		{
			$data['title'] = "Edit Entrance Exam";
			$data['entrance_exam_id'] = $entrance_exam_id;
			$filter_model['entrance_exam.entrance_exam_id']=$entrance_exam_id;
			$data['edit_data'] = $this->MasterModel->get_entrance_exam($filter_model);
		}
		$data['file_name'] = 'admin/entrance_exam_add';
		$this->load->view('admin/master', $data);
    }


    function entrance_exam_save($entrance_exam_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'entrance_exam_name',
    			'label'=>'Entrance Exam Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_entrance_exam_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(validation_errors());
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			return 0;
    		}
    	}

		$entrance_exam_id = $this->input->post('entrance_exam_id');


    	



    	$entrance_exam_data = array(
    		'entrance_exam_name' => $post_array['entrance_exam_name'],
    		

    	);

    	

    	if (!empty($entrance_exam_id)) 
    	{
    		$insert = $this->MasterModel->update_entrance_exam($entrance_exam_data, $entrance_exam_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_entrance_exam($entrance_exam_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'entrance_exam_list');
    	}

    }
    

    public function view_form()
    {
    	$data['title'] = "View Admission List";
    	$data['view_form']=$this->MasterModel->get_form_data();
		$data['file_name'] = 'admin/view_form';
		$this->load->view('admin/master', $data);
    }

  public function view_adm_form($form_id)
{
    
    $data['ad_detail'] = $this->MasterModel->get_admission_detail($form_id);
    $data['ad_detail'] = reset($data['ad_detail']);

    $data['education_detail']= $this->MasterModel->get_student_education_detail($form_id);
    $data['qualifying_detail']= $this->MasterModel->get_qualifying_exam_detail($form_id);
    $data['entrance_detail']= $this->MasterModel->get_entrance_exam_detail($form_id);
    //dsm($data['entrance_detail']);
    $this->load->view('admin/view_adm_form',$data);
}
		
	
}
?>