<?php
defined('BASEPATH') OR exit('No direct script access allowed');



class Front extends CI_Controller {
	
	 function __construct() {
        parent::__construct();
        
		  $this->load->library('form_validation');
        $this->load->helper(array('form', 'url'));
		 $this->load->model('MasterModel');
      
    }


    

    public function index($step = 1) {
        switch ($step) {
            case 1:
                $this->step1();
                break;
            case 2:
                $this->step2();
                break;
            case 3:
                $this->step3();
                break;
            case 4:
                $this->step4();
                break;
            case 5:
                $this->step5();
                break;

            case 6:
                $this->step6();
                break;
            case 7:
                $this->step7();
                break;
            case 8:
                $this->step8();
                break;

            case 9:
                $this->step9();
                break;

            case 10:
                $this->step10();
                break;
            default:
                $this->step1();
        }
    }
    



    public function step1() {
      $data['program_list'] = $this->MasterModel->get_program();
      $data['year_list']=$this->MasterModel->get_admission_year();
      

      $this->form_validation->set_rules('sprogram_id', 'Program', 'required');
      $this->form_validation->set_rules('syear_id', 'Year', 'required');
      if (empty($_FILES['passport_photo']['name']))
      {
         $this->form_validation->set_rules('passport_photo', 'Passport Photo', 'required');
      }
      if (empty($_FILES['signature']['name']))
      {
         $this->form_validation->set_rules('signature', 'Signature', 'required');
      }
      
      if ($this->form_validation->run() == FALSE) {
          //echo "Validation failed";  // Debug statement
         echo validation_errors();
         $this->load->view('step1',$data);
      } else {
        // $form_id = $this->session->userdata('form_id') ?? uniqid();
         
         if(!empty($this->session->userdata('form_id')))
         {
             $form_id = $this->session->userdata('form_id');
         }
         else
         {
             $form_id = uniqid();
              $this->session->userdata('form_id',$form_id);
         }
         
         $this->session->set_userdata('form_id', $form_id);

         $passport_path = file_upload($form_id,
            "passport_photo",
            $post_array["passport_photo"]
         );

         $signature_path = file_upload($form_id,
            "signature",
            $post_array["signature"]
         );

         $step1_data = [
         'form_id' => $form_id, 
         'sprogram_id' => $this->input->post('sprogram_id'),
         'syear_id' => $this->input->post('syear_id'),
         'passport_photo' => $passport_path,
         'signature' => $signature_path
      ];
         $this->MasterModel->save_form_data($form_id, $step1_data);
         redirect('form/2');
      }
   }

    public function step2() 
    {
      
      $data['qualifying_exam_list']=$this->MasterModel->get_qualifying_exam();
      $data['degree_course_list']=$this->MasterModel->get_degree_course_by_qual();
      $data['entrance_exam_list']=$this->MasterModel->get_entrance_exam();
      $data['gender_list']=$this->MasterModel->get_gender();
      $data['maritial_status_list']=$this->MasterModel->get_maritial_status();
      
      $data['entrance_exam_status_list']=$this->MasterModel->get_entrance_exam_status();
      $data['nationality_list']=$this->MasterModel->get_nationality();
      $data['physically_handicap_list']=$this->MasterModel->get_physically_handicap();
      $data['qualifying_exam_status_list']=$this->MasterModel->get_qualifying_exam_status();

      $this->form_validation->set_rules('sf_name', 'Student`s First Name', 'required');
      $this->form_validation->set_rules('sm_name', 'Student`s Middle Name', 'required');
      $this->form_validation->set_rules('sl_name', 'Student`s Last Name', 'required');
      $this->form_validation->set_rules('sfathers_name', 'Father`s Name', 'required');
      $this->form_validation->set_rules('smothers_name', 'Mothers`s Name', 'required');
      $this->form_validation->set_rules('sdob', 'Date of Birth', 'required');
      $this->form_validation->set_rules('spob', 'Place of Birth', 'required');
      $this->form_validation->set_rules('maritial_status', 'Maritial Status', 'required');
      $this->form_validation->set_rules('sgender', 'Gender', 'required');
      $this->form_validation->set_rules('sreligion', 'Religion', 'required');
      $this->form_validation->set_rules('snationality', 'Nationality', 'required');
      $this->form_validation->set_rules('saadhar', 'Aadhar Number', 'required|numeric|min_length[12]|max_length[12]');
      $this->form_validation->set_rules('smother_tongue', 'Mother Tongue', 'required');

        if ($this->form_validation->run() == FALSE) {
         echo validation_errors();
            $this->load->view('step2',$data);
        } else {
            $form_id = $this->session->userdata('form_id');

            $step2_data = [
               'sf_name' => $this->input->post('sf_name'),
               'sm_name' => $this->input->post('sm_name'),
               'sl_name' => $this->input->post('sl_name'),
               'sfathers_name' => $this->input->post('sfathers_name'),
               'smothers_name' => $this->input->post('smothers_name'),
               'sdob' => date("Y-m-d",strtotime($this->input->post('sdob'))),
               'spob' => $this->input->post('spob'),
               'maritial_status' => $this->input->post('maritial_status'),
               'sgender' => $this->input->post('sgender'),
               'sreligion' => $this->input->post('sreligion'),
               'snationality' => $this->input->post('snationality'),
               'saadhar' => $this->input->post('saadhar'),
               'smother_tongue' => $this->input->post('smother_tongue'),
              
            ];
           
            $this->MasterModel->update_form_data($form_id, $step2_data);
            redirect('form/3');
        }
    }

    public function step3() 
    {
     
      $this->form_validation->set_rules('paddress_of_corr', 'Address of Correspondence', 'required');
      $this->form_validation->set_rules('ppincode', 'Pin Code', 'required|numeric|min_length[6]|max_length[6]');
      $this->form_validation->set_rules('pstate', 'State', 'required');
      $this->form_validation->set_rules('pdistrict', 'District', 'required');
      $this->form_validation->set_rules('pcity', 'City', 'required');
      $this->form_validation->set_rules('perma_address', 'Permanent Address', 'required');
      $this->form_validation->set_rules('perma_pincode', 'Pin Code', 'required|numeric|min_length[6]|max_length[6]');
      $this->form_validation->set_rules('perma_state', 'State', 'required');
      $this->form_validation->set_rules('perma_district', 'District', 'required');
      $this->form_validation->set_rules('perma_city', 'City', 'required');
      

        if ($this->form_validation->run() == FALSE) {
         //echo validation_errors();
            $this->load->view('step3');
        } else 
        {
            $form_id = $this->session->userdata('form_id');

            $step3_data = [
               'paddress_of_corr' => $this->input->post('paddress_of_corr'),
               'ppincode' => $this->input->post('ppincode'),
               'pstate' => $this->input->post('pstate'),
               'pdistrict' => $this->input->post('pdistrict'),
               'pcity' => $this->input->post('pcity'),
               'perma_address' => $this->input->post('perma_address'),
               'perma_pincode' => $this->input->post('perma_pincode'),
               'perma_state' => $this->input->post('perma_state'),
               'perma_district' => $this->input->post('perma_district'),
               'perma_city' => $this->input->post('perma_city'),
               ];
           
            $this->MasterModel->update_form_data($form_id, $step3_data);
            redirect('form/4');
        }
    }


    public function step4() 
    {
     
     
      $this->form_validation->set_rules('smobile', 'Student Mobile No', 'required|numeric|min_length[10]|max_length[10]');
      $this->form_validation->set_rules('smobile_alt', 'Student Alternate No', 'required|numeric|min_length[10]|max_length[10]');
      $this->form_validation->set_rules('semail', 'Student E-mail id', 'trim|required|valid_email');
      $this->form_validation->set_rules('pmobile', 'Student’s Parents Number', 'required|numeric|min_length[10]|max_length[10]');
      $this->form_validation->set_rules('pemail', 'Parent’s E-mail id', 'trim|required|valid_email');
      

        if ($this->form_validation->run() == FALSE) 
        {
         //echo validation_errors();
            $this->load->view('step4');
        } else 
        {
            $form_id = $this->session->userdata('form_id');

            $step4_data = [
               
               'smobile' => $this->input->post('smobile'),
               'smobile_alt' => $this->input->post('smobile_alt'),
               'semail' => $this->input->post('semail'),
               'pmobile' => $this->input->post('pmobile'),
               'pemail' => $this->input->post('pemail'),
               ];
           
            $this->MasterModel->update_form_data($form_id, $step4_data);
            redirect('form/5');
        }
    }


    public function step5() 
    {
     
     $data['caste_list'] = $this->MasterModel->get_caste();
      $data['physically_handicap_list']=$this->MasterModel->get_physically_handicap();
      $this->form_validation->set_rules('scaste_id', 'Caste Category', 'required');
      $this->form_validation->set_rules('ssubcaste', 'Sub Caste', 'required');
      $this->form_validation->set_rules('physical_handicap', 'Physical Handicapped', 'required');
     
      

        if ($this->form_validation->run() == FALSE) 
        {
         //echo validation_errors();
            $this->load->view('step5',$data);
        } else 
        {
             $form_id = $this->session->userdata('form_id');
            // dsm($form_id);die;
         //$form_id = "664729";

            $step5_data = [
               
               'scaste_id' => $this->input->post('scaste_id'),
               'ssubcaste' => $this->input->post('ssubcaste'),
               'physical_handicap' => $this->input->post('physical_handicap'),
               
               ];
           
            $this->MasterModel->update_form_data($form_id, $step5_data);
            redirect('form/6');
        }
    }


    public function step6() 
    {
     
     $data['education_details_list']=$this->MasterModel->get_education_details();
      
     if(!empty($_POST))
     {
      // foreach ($this->input->post('sedu_board_name') as $key => $value) {

          //dsm($this->input->post('sedu_board_name')[0]);die;

         if(empty($this->input->post('sedu_board_name')[0])) //ssc
         {
            $this->form_validation->set_rules("sedu_exam_name[0]", "Name of the Examination", "required");
            $this->form_validation->set_rules("sedu_board_name[0]", "Name of Board", "required");
            $this->form_validation->set_rules("sedu_school_name[0]", "Name of School / College", "required");
            $this->form_validation->set_rules("sedu_passing_year[0]", "Year of Passing", "required");
            $this->form_validation->set_rules("sedu_total_marks[0]", "Total Marks", "required");
            $this->form_validation->set_rules("sedu_marks_obtain[0]", "Marks Obtained", "required");
            $this->form_validation->set_rules("sedu_percentage[0]", "Percentage", "required");
         }

         // if(empty($this->input->post('sedu_board_name')[1])) //hsc
         // {
         //    $this->form_validation->set_rules("sedu_exam_name[2]", "Name of the Examination", "required");
         //    $this->form_validation->set_rules("sedu_board_name[2]", "Name of Board", "required");
         //    $this->form_validation->set_rules("sedu_school_name[2]", "Name of School / College", "required");
         //    $this->form_validation->set_rules("sedu_passing_year[2]", "Year of Passing", "required");
         //    $this->form_validation->set_rules("sedu_total_marks[2]", "Total Marks", "required");
         //    $this->form_validation->set_rules("sedu_marks_obtain[2]", "Marks Obtained", "required");
         //    $this->form_validation->set_rules("sedu_percentage[2]", "Percentage", "required");
         // }

         if(empty($this->input->post('sedu_board_name')[2])) //diploma
         {
            $this->form_validation->set_rules("sedu_exam_name[1]", "Name of the Examination", "required");
            $this->form_validation->set_rules("sedu_board_name[1]", "Name of Board", "required");
            $this->form_validation->set_rules("sedu_school_name[1]", "Name of School / College", "required");
            $this->form_validation->set_rules("sedu_passing_year[1]", "Year of Passing", "required");
            $this->form_validation->set_rules("sedu_total_marks[1]", "Total Marks", "required");
            $this->form_validation->set_rules("sedu_marks_obtain[1]", "Marks Obtained", "required");
            $this->form_validation->set_rules("sedu_percentage[1]", "Percentage", "required");
         }
        
         // $this->form_validation->set_rules("sedu_exam_name[{$key}]", "Name of the Examination", "required");
         // $this->form_validation->set_rules("sedu_board_name[{$key}]", "Name of Board", "required");
         // $this->form_validation->set_rules("sedu_school_name[{$key}]", "Name of School / College", "required");
         // $this->form_validation->set_rules("sedu_passing_year[{$key}]", "Year of Passing", "required");
         // $this->form_validation->set_rules("sedu_total_marks[{$key}]", "Total Marks", "required");
         // $this->form_validation->set_rules("sedu_marks_obtain[{$key}]", "Marks Obtained", "required");
         // $this->form_validation->set_rules("sedu_percentage[{$key}]", "Percentage", "required");
      // }
     }
     
      

        if ($this->form_validation->run() == FALSE) 
        {
         //echo validation_errors();
            $this->load->view('step6',$data);
        } else 
        {
             $form_id = $this->session->userdata('form_id');
            // dsm($form_id);die;
         // $form_id = "664729";
         $step6_data = array();

         foreach ($this->input->post('sedu_exam_name') as $key => $value) {

            if(!empty($this->input->post('sedu_board_name')[$key]))
            {
               $step6_data = [
               
               'sedu_form_id' => $form_id,
               'sedu_exam_name' => $this->input->post('sedu_exam_name')[$key],
               'sedu_board_name' => $this->input->post('sedu_board_name')[$key],
               'sedu_school_name' => $this->input->post('sedu_school_name')[$key],
               'sedu_passing_year' => $this->input->post('sedu_passing_year')[$key],
               'sedu_total_marks' => $this->input->post('sedu_total_marks')[$key],
               'sedu_marks_obtain' => $this->input->post('sedu_marks_obtain')[$key],
               'sedu_percentage' => $this->input->post('sedu_percentage')[$key],
               
               ];
            
            $this->db->insert('student_education_detail',$step6_data);
            }

            
         }

            
           
            //$this->MasterModel->save_student_education_detail($step6_data);
            redirect('form/7');
        }
    }



    public function step7() 
    {
     
     $data['qualifying_exam_list']=$this->MasterModel->get_qualifying_exam();
     $data['qualifying_exam_status_list']=$this->MasterModel->get_qualifying_exam_status();
     $data['degree_course_list']=$this->MasterModel->get_degree_course_by_qual();

     if($this->input->post('qed_status') == 1)
     {
         foreach ($this->input->post('tbl_qed_name') as $key => $value) 
         {
           $this->form_validation->set_rules("tbl_qed_name[{$key}]", "Name of the Examination", "required");
           
           $this->form_validation->set_rules("qed_degree[{$key}]", "Degree Course", "required");
           $this->form_validation->set_rules("qed_university_name[{$key}]", "Name of University", "required");
           $this->form_validation->set_rules("qed_colg_name[{$key}]", "Name of School College", "required");
           $this->form_validation->set_rules("qed_passing_year[{$key}]", "Year of Passing", "required");
           $this->form_validation->set_rules("qed_total_marks[{$key}]", "Total Marks", "required");
           $this->form_validation->set_rules("qed_marks_obtained[{$key}]", "Marks Obtained", "required");
           $this->form_validation->set_rules("qed_percentage[{$key}]", "Percentage", "required");
           $this->form_validation->set_rules("qed_cgpa[{$key}]", "CGPA", "required");
        }
     }
     else
     {
       $this->form_validation->set_rules("qed_name", "Name of the Examination", "required");
           $this->form_validation->set_rules("qed_status", "Exam Status", "required");
     }
     
     

     
      

        if ($this->form_validation->run() == FALSE) 
        {
         echo validation_errors();
            $this->load->view('step7',$data);
        } else 
        {
             $form_id = $this->session->userdata('form_id');
            // dsm($form_id);die;

         //$form_id = "664729";

         if($this->input->post('qed_status') == 1) //passed
         {

            foreach ($this->input->post('tbl_qed_name') as $key => $value) 
            {

               
                  $step7_data = [
                     'qed_form_id' => $form_id,
                     'qed_name' => $this->input->post('tbl_qed_name')[$key],
                     'qed_status' => $this->input->post('qed_status')[$key],
                     'qed_degree' => $this->input->post('qed_degree')[$key],
                     'qed_university_name' => $this->input->post('qed_university_name')[$key],
                     'qed_colg_name' => $this->input->post('qed_colg_name')[$key],
                     'qed_passing_year' => $this->input->post('qed_passing_year')[$key],
                     'qed_total_marks' => $this->input->post('qed_total_marks')[$key],
                     'qed_marks_obtained' => $this->input->post('qed_marks_obtained')[$key],
                     'qed_percentage' => $this->input->post('qed_percentage')[$key],
                     'qed_cgpa' => $this->input->post('qed_cgpa')[$key],

                  ];

                  $this->db->insert('qualifying_exam_detail',$step7_data);

            }
         }
         else //appeared
         {
             $step7_data = [
                     'qed_form_id' => $form_id,
                     'qed_name' => $this->input->post('qed_name'),
                     'qed_status' => $this->input->post('qed_status'),
                    

                  ];
            $this->db->insert('qualifying_exam_detail',$step7_data);
         }
           
          
            redirect('form/8');
        }
    }



    public function step8() 
    {
     
     $data['entrance_exam_list']=$this->MasterModel->get_entrance_exam();
     $data['entrance_exam_status_list']=$this->MasterModel->get_entrance_exam_status();

     if(!empty($_POST))
     {
         foreach ($this->input->post('eed_name') as $key => $value) 
         {
            if($this->input->post('eed_status')[$key]==1) //passed
            {
               $this->form_validation->set_rules("eed_month_year[{$key}]", "Month/Year of Exam", "required");

               $this->form_validation->set_rules("eed_percentage[{$key}]", "Percentage", "required");
            }

           $this->form_validation->set_rules("eed_name[{$key}]", "Name of the Entrance", "required");
           $this->form_validation->set_rules("eed_status[{$key}]", "Exam Status", "required");
           
          
       }
     }
    
         if ($this->form_validation->run() == FALSE) 
        {
         //echo validation_errors();
            $this->load->view('step8',$data);
        } else 
        {
             $form_id = $this->session->userdata('form_id');
            // dsm($form_id);die;

        // $form_id = "664729";

         

         foreach ($this->input->post('eed_name') as $key => $value) 
         {

               if($this->input->post('eed_status')[$key]==1) //passed
               {
                  
                  
                   $temp = new DateTime($this->input->post('eed_month_year')[$key].'-01');

                   $newmonth = $temp->format('F Y');

                  //dsm($newmonth);die;

                  $step8_data = [
                     'eed_form_id' => $form_id,
                     'eed_name' => $this->input->post('eed_name')[$key],
                     'eed_status' => $this->input->post('eed_status')[$key],
                     'eed_month_year' => $newmonth,
                     'eed_percentage' => $this->input->post('eed_percentage')[$key],

                  ];

                  $this->db->insert('entrance_exam_detail',$step8_data);
               }

            }
         
           
          
            redirect('form/9');
        }
    }

    public function step9()
    {
      $this->load->view('step9');
    }
    public function step9_submit()
    {
     
     $post_array = $this->input->post();
        // dsm($_FILES['ssc_marksheet']['name']);
      // if (empty($_FILES['ssc_marksheet']['name']))
      // {      
      //    $this->form_validation->set_rules("ssc_marksheet", "SSC Marksheet/SSC Certificate", "required");
      // }
      // if (empty($_FILES['hsc_marksheet']['name']))
      // {
      //    $this->form_validation->set_rules("hsc_marksheet", "HSC Marksheet/HSC Certificate", "required");
      // }
      // if (empty($_FILES['grad_sem1_marksheet']['name']))
      // {
      //    $this->form_validation->set_rules("grad_sem1_marksheet", "Graduation Semester-1 Marksheet", "required");
      // }
      // if (empty($_FILES['grad_sem2_marksheet']['name']))
      // {
      //    $this->form_validation->set_rules("grad_sem2_marksheet", "Graduation Semester-2 Marksheet", "required");
      // }
      // if (empty($_FILES['grad_sem3_marksheet']['name']))
      // {
      //    $this->form_validation->set_rules("grad_sem3_marksheet", "Graduation Semester-3 Marksheet", "required");
      // }
      // if (empty($_FILES['grad_sem4_marksheet']['name']))
      // {
      //    $this->form_validation->set_rules("grad_sem4_marksheet", "Graduation Semester-4 Marksheet", "required");
      // }
           
          
       
     
    
       //   if ($this->form_validation->run() == FALSE) 
       //  {
       //    //echo validation_errors();die;
       // $this->load->view('step9');
             
       //  } else 
       //  {
         //echo "in else";die;
            $form_id = $this->session->userdata('form_id');
           // dsm($form_id);die;

         //$form_id = "664729";

         $ssc_marksheet = document_upload($form_id,
            "ssc_marksheet",
            $post_array["ssc_marksheet"]
         );
         $hsc_marksheet = document_upload($form_id,
            "hsc_marksheet",
            $post_array["hsc_marksheet"]
         );
         $grad_sem1_marksheet = document_upload($form_id,
            "grad_sem1_marksheet",
            $post_array["grad_sem1_marksheet"]
         );
         $grad_sem2_marksheet = document_upload($form_id,
            "grad_sem2_marksheet",
            $post_array["grad_sem2_marksheet"]
         );
         $grad_sem3_marksheet = document_upload($form_id,
            "grad_sem3_marksheet",
            $post_array["grad_sem3_marksheet"]
         );
         $grad_sem4_marksheet = document_upload($form_id,
            "grad_sem4_marksheet",
            $post_array["grad_sem4_marksheet"]
         );

         
            $grad_sem5_marksheet = document_upload($form_id,
               "grad_sem5_marksheet",
               $post_array["grad_sem5_marksheet"]
            );
        
         
            $grad_sem6_marksheet = document_upload($form_id,
               "grad_sem6_marksheet",
               $post_array["grad_sem6_marksheet"]
            );
         

         
            $grad_sem7_marksheet = document_upload($form_id,
               "grad_sem7_marksheet",
               $post_array["grad_sem7_marksheet"]
            );
         
         
            $grad_sem8_marksheet = document_upload($form_id,
               "grad_sem8_marksheet",
               $post_array["grad_sem8_marksheet"]
            );
        

         
            $grad_pass_certificate = document_upload($form_id,
               "grad_pass_certificate",
               $post_array["grad_pass_certificate"]
            );
        

         
            $entrance_exam_result = document_upload($form_id,
               "entrance_exam_result",
               $post_array["entrance_exam_result"]
            );
         
         
            $birth_leave_domicile_passport = document_upload($form_id,
               "birth_leave_domicile_passport",
               $post_array["birth_leave_domicile_passport"]
            );
         
         
            $grad_transfer_certificate = document_upload($form_id,
               "grad_transfer_certificate",
               $post_array["grad_transfer_certificate"]
            );
         
         
            $caste_certificate = document_upload($form_id,
               "caste_certificate",
               $post_array["caste_certificate"]
            );
         
         
            $caste_validity = document_upload($form_id,
               "caste_validity",
               $post_array["caste_validity"]
            );
         
         
            $non_creamylayer = document_upload($form_id,
               "non_creamylayer",
               $post_array["non_creamylayer"]
            );
         
         
            $gap_certificate = document_upload($form_id,
               "gap_certificate",
               $post_array["gap_certificate"]
            );
         


         

         $step9_data = [
               'ssc_marksheet' => $ssc_marksheet,
               'hsc_marksheet' => $hsc_marksheet,
               'grad_sem1_marksheet' => $grad_sem1_marksheet,
               'grad_sem2_marksheet' => $grad_sem2_marksheet,
               'grad_sem3_marksheet' => $grad_sem3_marksheet,
               'grad_sem4_marksheet' => $grad_sem4_marksheet,
               'grad_sem5_marksheet' => $grad_sem5_marksheet,
               'grad_sem6_marksheet' => $grad_sem6_marksheet,
               'grad_sem7_marksheet' => $grad_sem7_marksheet,
               'grad_sem8_marksheet' => $grad_sem8_marksheet,
               'grad_pass_certificate' => $grad_pass_certificate,
               'entrance_exam_result' => $entrance_exam_result,
               'birth_leave_domicile_passport' => $birth_leave_domicile_passport,
               'grad_transfer_certificate' => $grad_transfer_certificate,
               'caste_certificate' => $caste_certificate,
               'caste_validity' => $caste_validity,
               'non_creamylayer' => $non_creamylayer,
               'gap_certificate' => $gap_certificate,
              
            ];
           
            $this->MasterModel->update_form_data($form_id, $step9_data);
            //lq();die;

         
         
           
          
            redirect('form/10');
        // }
    }
    

    public function do_upload() {
        $config['upload_path'] = './uploads/';
        $config['allowed_types'] = 'gif|jpg|png';
        $config['max_size'] = 2048;
        $config['max_width'] = 1024;
        $config['max_height'] = 768;

        $this->load->library('upload', $config);

        if (!$this->upload->do_upload('userfile')) {
            $error = array('error' => $this->upload->display_errors());
            $this->load->view('upload_form', $error);
        } else {
            $data = array('upload_data' => $this->upload->data());
            $this->load->view('upload_success', $data);
        }
    }


    public function step10()
    {
      $this->form_validation->set_rules("declaration", "Declaration", "required");
      if ($this->form_validation->run() == FALSE) 
      {
         $this->load->view('step10');

      } 
      else 
      {
          $form_id = $this->session->userdata('form_id');
           // dsm($form_id);die;

         //$form_id = "664729";

         $step10_data = [
               'declaration' => $this->input->post('declaration'),
               
              
            ];
           
            $this->MasterModel->update_form_data($form_id, $step10_data);

            redirect('success');

      }
    }

    public function success() {
        $this->load->view('success');
    }
    

      

      
}
?>