<?php
defined('BASEPATH') OR exit('No direct script access allowed');



class Front extends CI_Controller {
    
     function __construct() 
     {
        parent::__construct();
        
        $this->load->library('form_validation');
        $this->load->helper(array('form', 'url'));
        $this->load->model('MasterModel');
        // $this->logged_in();
    }


    private function logged_in()
    {
        
       

         if($this->session->userdata('student_email')=="")
        {
            $this->login();
        }
        else if($this->session->userdata('student_email')!="")
        {
            redirect(base_url().'form/1');
        }
        
    }
    
    function login() 
    { 
//         echo $this->session->userdata('student_email');
// echo $this->session->userdata('user_name');die;

            $this->form_validation->set_rules('student_email', 'Email', 'required');
            $this->form_validation->set_rules('student_password', 'Password', 'required');
            $this->form_validation->set_error_delimiters('<div class="error">', '</div>');
            //dsm($_POST);
            if(!empty($_POST))
            {
               // dsm($_POST);die;
                if ($this->form_validation->run() ==true) 
                {       
                    $student_email = $this->input->post('student_email');
                    $student_password = $this->input->post('student_password');
                    $login_data = $this->authmodel->get_student($student_email, $student_password);
               // dsm($login_data);die;
                    if ($login_data) 
                    {        

                        $this->session->set_userdata(array(
                            'form_id' => $login_data->student_id,
                            'student_email' => $login_data->student_email,
                            'login_status' => 1

                        ));

                        redirect(base_url().'form/1');


                    } 
                    else 
                    {
                        $this->session->set_flashdata('danger', 'Invalid email or password');
                        $data_array = array(
                            'student_email' => $student_email,
                            'student_password' => $student_password,

                        );

                        $this->load->view('login');
                    }
                }
                else
                {
                   $this->session->set_flashdata('danger', validation_errors());
                   $this->load->view('login');
               }
            }
            else
            {
                $this->load->view('login');
            }
            
        
    }

    function register()
    {
        $this->form_validation->set_rules('student_email', 'Email', 'trim|required|valid_email');
            $this->form_validation->set_rules('student_password', 'Password', 'required');
            $this->form_validation->set_rules('confirm_password', 'Confirm Password', 'required|matches[student_password]');
            $this->form_validation->set_error_delimiters('<div class="error">', '</div>');
            //dsm($_POST);
            if(!empty($_POST))
            {
                if ($this->form_validation->run() ==true) 
                {       
                    $student_email = $this->input->post('student_email');
                    $student_password = $this->input->post('student_password');
                    $login_data = $this->authmodel->get_student($student_email, $student_password);
                //dsm($login_data);die;
                    if (!empty($login_data)) 
                    {        

                       
                        $this->session->set_flashdata('danger', 'You are Already Registered Please Login');
                        redirect(base_url());

                    } 
                    else 
                    {
                        $this->db->insert('student_admission_detail',array('student_email' => $student_email,'student_password' => md5($student_password),'student_password_plain'=>$student_password));

                        $this->session->set_flashdata('success', 'PLease login using your email & Password');
                        redirect(base_url());
                    }
                }
                else
                {
                   $this->session->set_flashdata('danger', validation_errors());
                   $this->load->view('register');
               }
            }
            else
            {
                
                $this->load->view('register');
            }

    }
    
    public function logout()
    {
        //echo "hi";die;
        $this->session->sess_destroy();
        $this->session->set_flashdata('success', 'Logout Successfully');
        $this->session->unset_userdata('login_status');
        
        redirect(base_url());
    }

    

    public function index($step = 1) {
     $form_id = $this->session->userdata('form_id');
     $data['detail_form']= $this->MasterModel->get_admission_detail($form_id);
     $data['detail_form'] = reset($data['detail_form']);
    
     if($data['detail_form']['lock_flag']==0) //unlocked
     {
        switch ($step) {
            case 1:
                $this->step1();
                break;
            case 2:
                $this->step2();
                break;
            case 3:
                $this->step3();
                break;
            case 4:
                $this->step4();
                break;
            case 5:
                $this->step5();
                break;

            case 6:
                $this->step6();
                break;
            case 7:
                $this->step7();
                break;
            case 8:
                $this->step8();
                break;

            case 9:
                $this->step9();
                break;

            case 10:
                $this->step10();
                break;
            default:
                $this->step1();
        }
     }
     else
     {
        redirect(base_url()."success"); //locked then redirect
     }
        
    }
    



    public function step1() {
      
      // if($this->session->userdata('user_name')=="Admin")
      // {
      //   $form_id = $this->uri->segment(3);
      // }
      // else
      // {
        $form_id = $this->session->userdata('form_id');
      // }
     
     // echo $id;die;
      $data['program_list'] = $this->MasterModel->get_program();
      $data['year_list']=$this->MasterModel->get_admission_year();
      $data['detail_form']= $this->MasterModel->get_admission_detail($form_id);
      $data['detail_form'] = reset($data['detail_form']);
      $post_array = $this->input->post();

      $this->form_validation->set_rules('sprogram_id', 'Program', 'required');
      $this->form_validation->set_rules('syear_id', 'Year', 'required');
      
      
      if ($this->form_validation->run() == FALSE) {
          $data['file_name'] = 'step1';
          $this->load->view('fmaster', $data);
      } 
      else 
      {
         $step1_data = [
          'step1_flag' => 1, 
          'step1_updated_at' => date('Y-m-d H:i:s'), 
          'sprogram_id' => $this->input->post('sprogram_id'),
          'syear_id' => $this->input->post('syear_id'),
         
      ];


      

      if($this->session->userdata('form_id')!="")
        {
         
            $this->MasterModel->update_form_data($form_id, $step1_data);
            
            redirect('form/2');
        }
      
         
      }
   }

    public function step2() 
    {
        $form_id = $this->session->userdata('form_id');
     
    $post_array = $this->input->post();
      $data['qualifying_exam_list']=$this->MasterModel->get_qualifying_exam();
      $data['degree_course_list']=$this->MasterModel->get_degree_course_by_qual();
      $data['entrance_exam_list']=$this->MasterModel->get_entrance_exam();
      $data['gender_list']=$this->MasterModel->get_gender();
      $data['maritial_status_list']=$this->MasterModel->get_maritial_status();
      
      $data['entrance_exam_status_list']=$this->MasterModel->get_entrance_exam_status();
      $data['nationality_list']=$this->MasterModel->get_nationality();
      $data['physically_handicap_list']=$this->MasterModel->get_physically_handicap();
      $data['qualifying_exam_status_list']=$this->MasterModel->get_qualifying_exam_status();
      $data['detail_form']= $this->MasterModel->get_admission_detail($form_id);
      $data['detail_form'] = reset($data['detail_form']);
     // dsm($data['detail_form']);die;
      $this->form_validation->set_rules('sf_name', 'Student`s First Name', 'required');
      $this->form_validation->set_rules('sm_name', 'Student`s Middle Name', 'required');
      $this->form_validation->set_rules('sl_name', 'Student`s Last Name', 'required');
      $this->form_validation->set_rules('sfathers_name', 'Father`s Name', 'required');
      $this->form_validation->set_rules('smothers_name', 'Mothers`s Name', 'required');
      $this->form_validation->set_rules('sdob', 'Date of Birth', 'required');
      $this->form_validation->set_rules('spob', 'Place of Birth', 'required');
      $this->form_validation->set_rules('maritial_status', 'Maritial Status', 'required');
      $this->form_validation->set_rules('sgender', 'Gender', 'required');
      $this->form_validation->set_rules('sreligion', 'Religion', 'required');
      $this->form_validation->set_rules('snationality', 'Nationality', 'required');
      $this->form_validation->set_rules('saadhar', 'Aadhar Number', 'required|numeric|min_length[12]|max_length[12]');
      $this->form_validation->set_rules('smother_tongue', 'Mother Tongue', 'required');

      

     

        if ($this->form_validation->run() == FALSE) {
            
        $data['file_name'] = 'step2';
        $this->load->view('fmaster', $data);
        } 
        else 
        {
            $step2_data = [
               'step2_flag' => 1, 
               'step2_updated_at' => date('Y-m-d H:i:s'), 
               'sf_name' => $this->input->post('sf_name'),
               'sm_name' => $this->input->post('sm_name'),
               'sl_name' => $this->input->post('sl_name'),
               'sfathers_name' => $this->input->post('sfathers_name'),
               'smothers_name' => $this->input->post('smothers_name'),
               'sdob' => date("Y-m-d",strtotime($this->input->post('sdob'))),
               'spob' => $this->input->post('spob'),
               'maritial_status' => $this->input->post('maritial_status'),
               'sgender' => $this->input->post('sgender'),
               'sreligion' => $this->input->post('sreligion'),
               'snationality' => $this->input->post('snationality'),
               'saadhar' => $this->input->post('saadhar'),
               'smother_tongue' => $this->input->post('smother_tongue'),
               
              
            ];

            $this->MasterModel->update_form_data($form_id, $step2_data);
           

            redirect('form/3');
        }
    }

    public function step3() 
    {
      
        $form_id = $this->session->userdata('form_id');
     
      
      $this->form_validation->set_rules('paddress_of_corr', 'Address of Correspondence', 'required');
      $this->form_validation->set_rules('ppincode', 'Pin Code', 'required|numeric|min_length[6]|max_length[6]');
      $this->form_validation->set_rules('pstate', 'State', 'required');
      $this->form_validation->set_rules('pdistrict', 'District', 'required');
      $this->form_validation->set_rules('pcity', 'City', 'required');
      $this->form_validation->set_rules('perma_address', 'Permanent Address', 'required');
      $this->form_validation->set_rules('perma_pincode', 'Pin Code', 'required|numeric|min_length[6]|max_length[6]');
      $this->form_validation->set_rules('perma_state', 'State', 'required');
      $this->form_validation->set_rules('perma_district', 'District', 'required');
      $this->form_validation->set_rules('perma_city', 'City', 'required');
      
      $data['detail_form']= $this->MasterModel->get_admission_detail($form_id);
      $data['detail_form'] = reset($data['detail_form']);

        if ($this->form_validation->run() == FALSE) {
         
           
        $data['file_name'] = 'step3';
        $this->load->view('fmaster', $data);
        } else 
        {
            

            $step3_data = [
               'step3_flag' => 1, 
               'step3_updated_at' => date('Y-m-d H:i:s'),
               'paddress_of_corr' => $this->input->post('paddress_of_corr'),
               'ppincode' => $this->input->post('ppincode'),
               'pstate' => $this->input->post('pstate'),
               'pdistrict' => $this->input->post('pdistrict'),
               'pcity' => $this->input->post('pcity'),
               'perma_address' => $this->input->post('perma_address'),
               'perma_pincode' => $this->input->post('perma_pincode'),
               'perma_state' => $this->input->post('perma_state'),
               'perma_district' => $this->input->post('perma_district'),
               'perma_city' => $this->input->post('perma_city'),
               ];
           
            $this->MasterModel->update_form_data($form_id, $step3_data);
            
            redirect('form/4');
        }
    }


    public function step4() 
    {
      $form_id = $this->session->userdata('form_id');
     if (!$this->session->has_userdata('form_id')) 
       {
          redirect('form/3');
       }
      $this->form_validation->set_rules('smobile', 'Student Mobile No', 'required|numeric|min_length[10]|max_length[10]');
      $this->form_validation->set_rules('smobile_alt', 'Student Alternate No', 'numeric|min_length[10]|max_length[10]');
      $this->form_validation->set_rules('semail', 'Student E-mail id', 'trim|required|valid_email');
      $this->form_validation->set_rules('pmobile', 'Student’s Parents Number', 'required|numeric|min_length[10]|max_length[10]');
      $this->form_validation->set_rules('pemail', 'Parent’s E-mail id', 'trim|valid_email');
      $data['detail_form']= $this->MasterModel->get_admission_detail($form_id);
      $data['detail_form'] = reset($data['detail_form']);

        if ($this->form_validation->run() == FALSE) 
        {
            $data['file_name'] = 'step4';
            $this->load->view('fmaster', $data);
        } else 
        {
            

            $step4_data = [
               'step4_flag' => 1, 
               'step4_updated_at' => date('Y-m-d H:i:s'),
               'smobile' => $this->input->post('smobile'),
               'smobile_alt' => $this->input->post('smobile_alt'),
               'semail' => $this->input->post('semail'),
               'pmobile' => $this->input->post('pmobile'),
               'pemail' => $this->input->post('pemail'),
               ];
           
            $this->MasterModel->update_form_data($form_id, $step4_data);
            
            redirect('form/5');
        }
    }


    public function step5() 
    {
     
        $form_id = $this->session->userdata('form_id');
     $data['caste_list'] = $this->MasterModel->get_caste();
     $data['detail_form']= $this->MasterModel->get_admission_detail($form_id);
      $data['detail_form'] = reset($data['detail_form']);
      $data['physically_handicap_list']=$this->MasterModel->get_physically_handicap();
      $this->form_validation->set_rules('scaste_id', 'Caste Category', 'required');
      // $this->form_validation->set_rules('ssubcaste', 'Sub Caste', 'required');
      $this->form_validation->set_rules('physical_handicap', 'Physical Handicapped', 'required');
     
      

        if ($this->form_validation->run() == FALSE) 
        {
         
           
            $data['file_name'] = 'step5';
        $this->load->view('fmaster', $data);
        } else 
        {
            
            // dsm($form_id);die;
         

            $step5_data = [
               'step5_flag' => 1, 
               'step5_updated_at' => date('Y-m-d H:i:s'),
               'scaste_id' => $this->input->post('scaste_id'),
               'ssubcaste' => $this->input->post('ssubcaste'),
               'physical_handicap' => $this->input->post('physical_handicap'),
               
               ];
           
            $this->MasterModel->update_form_data($form_id, $step5_data);
           
            redirect('form/6');
        }
    }


    public function step6() 
    {
     
        $form_id = $this->session->userdata('form_id');
        //dsm($form_id);die;
        
     $data['education_details_list']=$this->MasterModel->get_education_details();
     $data['detail']= $this->MasterModel->get_student_education($form_id);
     $data['detail_form']= $this->MasterModel->get_admission_detail($form_id);
      $data['detail_form'] = reset($data['detail_form']);
     //dsm($data['detail']);

     
 
     
      
     if(!empty($_POST))
     {
      
            $this->form_validation->set_rules("sedu_exam_name[0]", "Name of the Examination", "required");
            $this->form_validation->set_rules("sedu_board_name[0]", "Name of Board", "required");
            $this->form_validation->set_rules("sedu_school_name[0]", "Name of School / College", "required");
            $this->form_validation->set_rules("sedu_passing_year[0]", "Year of Passing", "required");
            $this->form_validation->set_rules("sedu_total_marks[0]", "Total Marks", "required");
            $this->form_validation->set_rules("sedu_marks_obtain[0]", "Marks Obtained", "required");
            $this->form_validation->set_rules("sedu_percentage[0]", "Percentage", "required");
        

            // Custom validation to ensure either HSC or Diploma is filled
      
            $this->form_validation->set_rules("sedu_board_name[1]", "Name of Board", "callback_validate_hsc_or_diploma");
            $this->form_validation->set_rules("sedu_school_name[1]", "Name of School / College", "callback_validate_hsc_or_diploma");
            $this->form_validation->set_rules("sedu_passing_year[1]", "Year of Passing", "callback_validate_hsc_or_diploma");
            $this->form_validation->set_rules("sedu_total_marks[1]", "Total Marks", "callback_validate_hsc_or_diploma");
            $this->form_validation->set_rules("sedu_marks_obtain[1]", "Marks Obtained", "callback_validate_hsc_or_diploma");
            $this->form_validation->set_rules("sedu_percentage[1]", "Percentage", "callback_validate_hsc_or_diploma");


        $this->form_validation->set_rules("sedu_exam_name[2]", "Name of the Examination", "callback_validate_hsc_or_diploma");
            $this->form_validation->set_rules("sedu_board_name[2]", "Name of Board", "callback_validate_hsc_or_diploma");
            $this->form_validation->set_rules("sedu_school_name[2]", "Name of School / College", "callback_validate_hsc_or_diploma");
            $this->form_validation->set_rules("sedu_passing_year[2]", "Year of Passing", "callback_validate_hsc_or_diploma");
            $this->form_validation->set_rules("sedu_total_marks[2]", "Total Marks", "callback_validate_hsc_or_diploma");
            $this->form_validation->set_rules("sedu_marks_obtain[2]", "Marks Obtained", "callback_validate_hsc_or_diploma");
            $this->form_validation->set_rules("sedu_percentage[2]", "Percentage", "callback_validate_hsc_or_diploma");

         
     }
    
        if ($this->form_validation->run() == FALSE) 
        {
         
            $data['file_name'] = 'step6';
        $this->load->view('fmaster', $data);
        } 
        else 
        {
            
     

         foreach ($this->input->post('sedu_exam_name') as $key => $value) 
         {

            $step6_data = [

               'sedu_form_id' => $form_id,
               'sedu_exam_name' => $this->input->post('sedu_exam_name')[$key],
               'sedu_board_name' => $this->input->post('sedu_board_name')[$key],
               'sedu_school_name' => $this->input->post('sedu_school_name')[$key],
               'sedu_passing_year' => $this->input->post('sedu_passing_year')[$key],
               'sedu_total_marks' => $this->input->post('sedu_total_marks')[$key],
               'sedu_marks_obtain' => $this->input->post('sedu_marks_obtain')[$key],
               'sedu_percentage' => $this->input->post('sedu_percentage')[$key],

           ];
           $session_var[] = $step6_data;

            //dsm($this->input->post('sedu_id')[$key]);
           if(!empty($this->input->post('sedu_id')[$key]))
           {


               $this->db->where("sedu_id",$this->input->post('sedu_id')[$key]);
               $this->db->update('student_education_detail',$step6_data);

           }
           else
           {
            $this->db->insert('student_education_detail',$step6_data);
        }




        }
               
               $up_data = array(
                'step6_flag' => 1, 
                'step6_updated_at' => date('Y-m-d H:i:s'),

               );
               $this->MasterModel->update_form_data($form_id, $up_data);
       
            redirect('form/7');
        }
    }



    public function step7() 
    {
       $form_id = $this->session->userdata('form_id');
     $data['detail_form']= $this->MasterModel->get_admission_detail($form_id);
      $data['detail_form'] = reset($data['detail_form']);
     $data['qualifying_exam_list']=$this->MasterModel->get_qualifying_exam();
     $data['qualifying_exam_status_list']=$this->MasterModel->get_qualifying_exam_status();
     $data['degree_course_list']=$this->MasterModel->get_degree_course_by_qual();

     $data['detail']= $this->MasterModel->get_qualifying_exam_detail($form_id);
    // dsm($data['detail']);
     if(!empty($_POST))
     {
        $data['qed_degree'] = $_POST['qed_degree'];
        $data['qed_status'] = $_POST['qed_status'];
        $data['qed_name'] = $_POST['qed_name'];
     }
     else
     {
        foreach($data['detail'] as $value)
        {
            $data['qed_degree'] = $value['qed_degree'];
            $data['qed_status'] = $value['qed_status'];
            $data['qed_name'] = $value['qed_name'];
        }
     }

     if($this->input->post('qed_status') == 1)
     {
         foreach ($this->input->post('tbl_qed_name') as $key => $value) 
         {
           $this->form_validation->set_rules("tbl_qed_name[{$key}]", "Name of the Examination", "required");
           
           $this->form_validation->set_rules("qed_degree[{$key}]", "Degree Course", "required");
           $this->form_validation->set_rules("qed_university_name[{$key}]", "Name of University", "required");
           $this->form_validation->set_rules("qed_colg_name[{$key}]", "Name of School College", "required");
           $this->form_validation->set_rules("qed_passing_year[{$key}]", "Year of Passing", "required");
           $this->form_validation->set_rules("qed_total_marks[{$key}]", "Total Marks", "required");
           $this->form_validation->set_rules("qed_marks_obtained[{$key}]", "Marks Obtained", "required");
           $this->form_validation->set_rules("qed_percentage[{$key}]", "Percentage", "required");
           $this->form_validation->set_rules("qed_cgpa[{$key}]", "CGPA", "required");
        }
     }
     else
     {
       $this->form_validation->set_rules("qed_name", "Name of the Examination", "required");
           $this->form_validation->set_rules("qed_status", "Exam Status", "required");
     }
     
     if ($this->form_validation->run() == FALSE) 
        {
            $data['file_name'] = 'step7';
            $this->load->view('fmaster', $data);
        } 
        else 
        {
        
        
            

         if($this->input->post('qed_status') == 1) //passed
         {

            foreach ($this->input->post('tbl_qed_name') as $key => $value) 
            {

               
                  $step7_data = [
                     'qed_form_id' => $form_id,
                     'qed_name' => $this->input->post('tbl_qed_name')[$key],
                     'qed_status' => $this->input->post('qed_status')[$key],
                     'qed_degree' => $this->input->post('qed_degree')[$key],
                     'qed_university_name' => $this->input->post('qed_university_name')[$key],
                     'qed_colg_name' => $this->input->post('qed_colg_name')[$key],
                     'qed_passing_year' => $this->input->post('qed_passing_year')[$key],
                     'qed_total_marks' => $this->input->post('qed_total_marks')[$key],
                     'qed_marks_obtained' => $this->input->post('qed_marks_obtained')[$key],
                     'qed_percentage' => $this->input->post('qed_percentage')[$key],
                     'qed_cgpa' => $this->input->post('qed_cgpa')[$key],

                  ];


                   $qry="INSERT INTO qualifying_exam_detail
             (qed_form_id, qed_name, qed_status, qed_degree, qed_university_name,qed_colg_name,qed_passing_year,qed_total_marks,qed_marks_obtained,qed_percentage,qed_cgpa)
             VALUES
             (".$form_id.", ".$step7_data['qed_name'].",".$step7_data['qed_status'].", ".$step7_data['qed_degree'].", '".$step7_data['qed_university_name']."','".$step7_data['qed_colg_name']."','".$step7_data['qed_passing_year']."',".$step7_data['qed_total_marks'].",".$step7_data['qed_marks_obtained'].",".$step7_data['qed_percentage'].",".$step7_data['qed_cgpa'].")
              ON DUPLICATE KEY UPDATE 
              qed_name = ".$step7_data['qed_name'].",
              qed_status = ".$step7_data['qed_status'].",
              qed_degree = ".$step7_data['qed_degree'].",
              qed_university_name = '".$step7_data['qed_university_name']."',
              qed_colg_name = '".$step7_data['qed_colg_name']."',
              qed_passing_year = '".$step7_data['qed_passing_year']."',
              qed_total_marks = ".$step7_data['qed_total_marks'].",
              qed_marks_obtained = ".$step7_data['qed_marks_obtained'].",
              qed_percentage = ".$step7_data['qed_percentage'].",
              qed_cgpa = ".$step7_data['qed_cgpa']."";
              $rs = $this->db->query($qry);
                  

            }
         }
         else //appeared
         {
             $step7_data = [
                     'qed_form_id' => $form_id,
                     'qed_name' => $this->input->post('qed_name'),
                     'qed_status' => $this->input->post('qed_status'),
                    

                  ];
                  

            //$this->db->insert('qualifying_exam_detail',$step7_data);

                  $qry="INSERT INTO qualifying_exam_detail
             (qed_form_id, qed_name, qed_status)
             VALUES
             (".$form_id.", ".$step7_data['qed_name'].",".$step7_data['qed_status'].")
              ON DUPLICATE KEY UPDATE 
              qed_name = ".$step7_data['qed_name'].",
              qed_status = ".$step7_data['qed_status']."
             ";
              $rs = $this->db->query($qry);
            
         }

         $up_data = array(
                'step7_flag' => 1, 
                'step7_updated_at' => date('Y-m-d H:i:s'),

               );
               $this->MasterModel->update_form_data($form_id, $up_data);
           
          
            redirect('form/8');
        }
    }



    public function step8() 
    {
     
       $form_id = $this->session->userdata('form_id');
       $data['detail_form']= $this->MasterModel->get_admission_detail($form_id);
      $data['detail_form'] = reset($data['detail_form']);
     $filter1['WHERE']='other_flag =0';
     $filter2['WHERE']='other_flag =1';
     $data['entrance_exam_list']=$this->MasterModel->get_entrance_exam($filter1);
     $data['entrance_exam_list_other']=$this->MasterModel->get_entrance_exam($filter2);
     $data['entrance_exam_status_list']=$this->MasterModel->get_entrance_exam_status();
     
     $data['entrance_detail']= $this->MasterModel->get_entrance_exam_detail($form_id);

     // $data['entrance_detail'] = reset($data['entrance_detail']);
     //dsm($data['entrance_detail']);

     if(!empty($_POST))
     {
     

       if($this->input->post('eed_status')==1)
       {
            $this->form_validation->set_rules("eed_name", "Name of the Entrance", "required");
           $this->form_validation->set_rules("eed_status", "Exam Status", "required");
            $this->form_validation->set_rules("eed_month_year", "Month/Year of Exam", "required");
            $this->form_validation->set_rules("eed_percentage", "Percentage", "required");
       }
       else
       {
            $this->form_validation->set_rules("eed_name", "Name of the Entrance", "required");
           $this->form_validation->set_rules("eed_status", "Exam Status", "required");
       }

       if($this->input->post('other_eed_status')==1)
       {
        $this->form_validation->set_rules("other_eed_name", "Other Name of the Entrance", "required");
           $this->form_validation->set_rules("other_eed_status", "Other Exam Status", "required");
            $this->form_validation->set_rules("other_eed_month_year", "Month/Year of Exam", "required");
            $this->form_validation->set_rules("other_eed_percentage", "Percentage", "required");
       }


       $data['eed_name'] = $_POST['eed_name'];
       $data['eed_status'] = $_POST['eed_status'];

       $data['eed_month_year'] = date("Y-m", strtotime($_POST['eed_month_year']));

       $data['eed_percentage'] = $_POST['eed_percentage'];


       $data['other_eed_name'] = $_POST['other_eed_name'];
       $data['other_eed_status'] = $_POST['other_eed_status'];
       $data['other_eed_month_year'] = date("Y-m", strtotime($_POST['other_eed_month_year']));
       $data['other_eed_percentage'] = $_POST['other_eed_percentage'];
    
    }
    else
    {
            $data['eed_name'] = $data['entrance_detail'][0]['eed_name'];
            $data['eed_status'] = $data['entrance_detail'][0]['eed_status'];
            $data['eed_month_year'] = date("Y-m", strtotime($data['entrance_detail'][0]['eed_month_year']));
            $data['eed_percentage'] = $data['entrance_detail'][0]['eed_percentage'];

            $data['other_eed_name'] = $data['entrance_detail'][0]['other_eed_name'];
            $data['other_eed_status'] = $data['entrance_detail'][0]['other_eed_status'];
            $data['other_eed_month_year'] = date("Y-m", strtotime($data['entrance_detail'][0]['other_eed_month_year']));
            $data['other_eed_percentage'] = $data['entrance_detail'][0]['other_eed_percentage'];

           
        
    }

    
         if ($this->form_validation->run() == FALSE) 
        {
         
            
            $data['file_name'] = 'step8';
            $this->load->view('fmaster', $data);
        } else 
        {
             


                  if(!empty($this->input->post('eed_month_year')))
                  {
                    $temp = new DateTime($this->input->post('eed_month_year').'-01');

                   $newmonth = $temp->format('F, Y');
                  }
                  else
                  {
                    $newmonth="";
                  }

                  if(!empty($this->input->post('other_eed_month_year')))
                  {
                    $other_temp = new DateTime($this->input->post('other_eed_month_year').'-01');

                   $other_newmonth = $other_temp->format('F, Y');
                  }
                  else
                  {
                    $other_newmonth="";
                  }


                  if(!empty($this->input->post('eed_percentage')))
                  {
                    $percentage = $this->input->post('eed_percentage');
                  }
                  else
                  {
                    $percentage="";
                  }

                  if(!empty($this->input->post('other_eed_percentage')))
                  {
                    $other_percentage = $this->input->post('other_eed_percentage');
                  }
                  else
                  {
                    $other_percentage="";
                  }

                  $step8_data = [
                     'eed_form_id' => $form_id,
                     'eed_name' => $this->input->post('eed_name'),
                     'eed_status' => $this->input->post('eed_status'),
                     'eed_month_year' => $newmonth,
                     'eed_percentage' => $percentage,
                     'other_eed_name' => $this->input->post('other_eed_name'),
                     'other_eed_status' => $this->input->post('other_eed_status'),
                     'other_eed_month_year' => $other_newmonth,
                     'other_eed_percentage' => $other_percentage,

                  ];
                  

                  if(empty($data['entrance_detail']))
                  {
                    $this->db->insert('entrance_exam_detail',$step8_data);
                    
                  }
                  else
                  {
                    $this->db->where('eed_form_id',$form_id);
                    $this->db->update('entrance_exam_detail',$step8_data);
                  }
                 
              $up_data = array(
                'step8_flag' => 1, 
                'step8_updated_at' => date('Y-m-d H:i:s'),

               );
               $this->MasterModel->update_form_data($form_id, $up_data);
             
           
          
            redirect('form/9');
        }
    }

    public function step9()
    {
        $form_id = $this->session->userdata('form_id');
       
        $data['detail_form']= $this->MasterModel->get_admission_detail($form_id);
      $data['detail_form'] = reset($data['detail_form']);
    $this->form_validation->set_rules("hidden_passport_photo", "Passport Photo", "required");
    $this->form_validation->set_rules("hidden_signature", "Signature", "required");
    $this->form_validation->set_rules("hidden_ssc_marksheet", "SSC Marksheet", "required");
    $this->form_validation->set_rules("hidden_hsc_marksheet", "HSC Marksheet", "required");
    $this->form_validation->set_rules("hidden_grad_sem1_marksheet", "Graduation semester-1 / Year-1 marksheet", "required");
    $this->form_validation->set_rules("hidden_grad_sem2_marksheet", "Graduation semester-2 / Year-1 marksheet", "required");
    $this->form_validation->set_rules("hidden_grad_sem3_marksheet", "Graduation semester-3 / Year-2 marksheet", "required");
    $this->form_validation->set_rules("hidden_grad_sem4_marksheet", "Graduation semester-4 / Year-2 marksheet", "required");
    

      if ($this->form_validation->run() == FALSE) 
      {
        $data['error'] =validation_errors();
        //dsm($data['error']);
         $data['file_name'] = 'step9';
        $this->load->view('fmaster', $data);

      } 
      else 
      {
        $up_data = array(
            'step9_flag' => 1, 
            'step9_updated_at' => date('Y-m-d H:i:s'),

        );
        $this->MasterModel->update_form_data($form_id, $up_data);

            redirect('form/10');
      }
        

      


  }

    public function passportupload()
    {
        $form_id = $this->session->userdata('form_id');
        $pic_file = 'uploads/'.$form_id.'/passport_photo';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'jpg|png|jpeg';
        $upload_config['max_size'] = 100; 
        $upload_config['min_size'] = 50; 
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }

        if ($_FILES['passport_photo']['size'] < $upload_config['min_size'] * 1024) 
        {
            $res_arr = array("status"=>"error",'message' => 'The file you are attempting to upload is smaller than the permitted size.');
            echo json_encode($res_arr);
        }
        else if (!$this->upload->do_upload('passport_photo')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('passport_photo'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }

    public function signatureupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/signature';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'jpg|png|jpeg';
        $upload_config['max_size'] = 50; 
        $upload_config['min_size'] = 20; 
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if ($_FILES['signature']['size'] < $upload_config['min_size'] * 1024) 
        {
            $res_arr = array("status"=>"error",'message' => 'The file you are attempting to upload is smaller than the permitted size.');
            echo json_encode($res_arr);
        }
        else if (!$this->upload->do_upload('signature')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('signature'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }

    public function hsc_marksheetupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/hsc_marksheet';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('hsc_marksheet')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('hsc_marksheet'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }

    public function ssc_marksheetupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/ssc_marksheet';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('ssc_marksheet')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('ssc_marksheet'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }


    public function grad_sem1_marksheetupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/grad_sem1_marksheet';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('grad_sem1_marksheet')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('grad_sem1_marksheet'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }

    public function grad_sem2_marksheetupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/grad_sem2_marksheet';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);
        
        // dsm($file_type);
        // dsm($file_mime);die;
        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('grad_sem2_marksheet')) 
        {
           
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('grad_sem2_marksheet'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }

    public function grad_sem3_marksheetupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/grad_sem3_marksheet';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('grad_sem3_marksheet')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('grad_sem3_marksheet'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }


    public function grad_sem4_marksheetupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/grad_sem4_marksheet';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('grad_sem4_marksheet')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('grad_sem4_marksheet'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }

    public function grad_sem5_marksheetupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/grad_sem5_marksheet';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('grad_sem5_marksheet')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('grad_sem5_marksheet'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }
   
   public function grad_sem6_marksheetupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/grad_sem6_marksheet';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('grad_sem6_marksheet')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('grad_sem6_marksheet'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }

    public function grad_sem7_marksheetupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/grad_sem7_marksheet';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('grad_sem7_marksheet')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('grad_sem7_marksheet'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }

    public function grad_sem8_marksheetupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/grad_sem8_marksheet';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('grad_sem8_marksheet')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('grad_sem8_marksheet'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }


    public function grad_pass_certificateupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/grad_pass_certificate';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('grad_pass_certificate')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('grad_pass_certificate'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }
    public function entrance_exam_resultupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/entrance_exam_result';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('entrance_exam_result')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('entrance_exam_result'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }
    public function bldpupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/birth_leave_domicile_passport';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('birth_leave_domicile_passport')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('birth_leave_domicile_passport'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }
    public function grad_transfer_certificateupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/grad_transfer_certificate';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('grad_transfer_certificate')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('grad_transfer_certificate'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }
    public function caste_certificateupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/caste_certificate';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('caste_certificate')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('caste_certificate'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }
    public function caste_validityupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/caste_validity';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('caste_validity')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('caste_validity'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }
    public function non_creamylayerupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/non_creamylayer';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('non_creamylayer')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('non_creamylayer'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }
    public function gap_certificateupload()
    {
        $form_id = $this->session->userdata('form_id');
       
        $pic_file = 'uploads/'.$form_id.'/gap_certificate';
        $upload_config['upload_path']= $pic_file;
        $upload_config['allowed_types']= 'pdf';
        $upload_config['max_size'] = '1024';
        $upload_config['file_ext_tolower']= TRUE;
        $upload_config['overrite']= FALSE;
        $upload_config['remove_space'] = TRUE;

        $this->load->library('upload', $upload_config);
        $this->upload->initialize($upload_config);

        if(!file_exists($upload_config['upload_path'])) 
        {
            mkdir($upload_config['upload_path'], 0777, true);
        }
        if (!$this->upload->do_upload('gap_certificate')) 
        {
            $error = $this->upload->display_errors('', '');

            $res_arr = array("status"=>"error","message"=>$error);

            echo json_encode($res_arr);

        }
        else 
        {
            $upload_data=$this->upload->data();

            $files_upload =$upload_data['file_name'];

            $data_arr = array('gap_certificate'=>$files_upload);

            $this->MasterModel->update_form_data($form_id, $data_arr);

            $res_arr = array("status"=>"success","message"=>$files_upload." file uploaded Successfully!!!");

            echo json_encode($res_arr);

        }
            
           
        
    }

    public function step10()
    {
        
      $this->form_validation->set_rules("declaration", "Declaration", "required");
      $form_id = $this->session->userdata('form_id');
      //dsm($form_id);die;
      $data['student_id'] = $form_id;
      //dsm($data);die;
      $data['detail_form']= $this->MasterModel->get_admission_detail($form_id);
      $data['detail_form'] = reset($data['detail_form']);
      if ($this->form_validation->run() == FALSE) 
      {
        
         $data['file_name'] = 'step10';
        $this->load->view('fmaster', $data);

      } 
      else 
      {
        $step10_data = [
               'declaration' => $this->input->post('declaration'),
               'step10_flag' => 1, 
               
               'step10_updated_at' => date('Y-m-d H:i:s'),
              
            ];
           $update_d =$this->MasterModel->update_form_data($form_id, $step10_data);
          
        $columns_with_zero = $this->MasterModel->get_zero_columns($form_id);
       // dsm($columns_with_zero);die;
        if ($columns_with_zero) 
        {
            $column_names_map = [
                'step1_flag' => 'Admission Detail',
                'step2_flag' => 'Personal Information',
                'step3_flag' => 'Address Details',
                'step4_flag' => 'Contact Details',
                'step5_flag' => 'Reservation Details',
                'step6_flag' => 'Education Details',
                'step7_flag' => 'Qualifying Exam Details',
                'step8_flag' => 'Entrance Exam Details',
                'step9_flag' => 'Attachments',
                'step10_flag' => 'Declaration by student',
            ];

            // Replace column names with user-friendly names
            $friendly_names = array_map(function($col) use ($column_names_map) {
                return $column_names_map[$col];
            }, $columns_with_zero);

            $columns_list = implode(', ', $friendly_names);
            $alert_message = "Please Fill  the form : " . $columns_list;
            
            $res_arr = array("status"=>"error","message"=>$alert_message);

                echo json_encode($res_arr);
        } 

        else
        {
            $submit_data_final = [
               'submit_flag' => 1, 
               'lock_flag' => 1, 
              
              
            ];
           $update_d =$this->MasterModel->update_form_data($form_id, $submit_data_final);

           //redirect(base_url()."success");

           $res_arr = array("status"=>"success","message"=>"Your Form is Successfully submitted");

            echo json_encode($res_arr);
        }
        


         
            

            

      }
    }

    public function success() {

        $form_id = $this->session->userdata('form_id');
     $data['detail_form']= $this->MasterModel->get_admission_detail($form_id);
     $data['detail_form'] = reset($data['detail_form']);
     // dsm($data['detail_form']['lock_flag']);
     if($data['detail_form']['lock_flag']==0) //unlocked
     {
        redirect(base_url().'form/1');
     }
     else
     {
        $data['file_name'] = 'success';
        $this->load->view('fmaster', $data);
     }
      
        
     
        
    }
    

   public function previous($step) 
   {
        redirect('form/' . $step);
   }



public function validate_hsc_or_diploma($fields) 
{
    // Check if HSC (index 1) or Diploma (index 2) is filled
    $hsc_filled = !empty($this->input->post('sedu_board_name')[1]) && !empty($this->input->post('sedu_school_name')[1]) && !empty($this->input->post('sedu_passing_year')[1]) && !empty($this->input->post('sedu_total_marks')[1]) && !empty($this->input->post('sedu_marks_obtain')[1]) && !empty($this->input->post('sedu_percentage')[1]);

    $diploma_filled = !empty($this->input->post('sedu_board_name')[2]) && !empty($this->input->post('sedu_school_name')[2]) && !empty($this->input->post('sedu_passing_year')[2]) && !empty($this->input->post('sedu_total_marks')[2]) && !empty($this->input->post('sedu_marks_obtain')[2]) && !empty($this->input->post('sedu_percentage')[2]);

    if ($hsc_filled || $diploma_filled) 
    {
        return TRUE;
    } 
    else 
    {
        $this->form_validation->set_message('validate_hsc_or_diploma', 'Either HSC or Diploma information must be filled');
        return FALSE;
    }
}

public function get_degree()
{

    $filter_model['name_of_examination']=$_POST['name_of_examination'];
    $data = $this->MasterModel->get_degree_course($filter_model);

    echo json_encode($data);
}


public function view_ad_form($form_id)
{
    $form_id = $this->session->userdata('form_id');

    if(!empty($form_id))
    {
        $data['ad_detail'] = $this->MasterModel->get_admission_detail($form_id);
        $data['ad_detail'] = reset($data['ad_detail']);

        $data['education_detail']= $this->MasterModel->get_student_education_detail($form_id);
        $data['qualifying_detail']= $this->MasterModel->get_qualifying_exam_detail($form_id);
        $data['entrance_detail']= $this->MasterModel->get_entrance_exam_detail($form_id);
    //dsm($data['entrance_detail']);
        $this->load->view('view_admission_form',$data);
    }
    else
    {
        redirect(base_url());
    }
    
}

    public function forgot_password() {
        $email=trim($this->input->post('student_email'));
        $result_users=$this->MasterModel->get_student_admission(array("student_email"=>$email));

        if(!empty($result_users[0])) 
        {
            $res=$this->fwd($email,$result_users[0]['student_password_plain']); 
            if($res) 
            {
                
        
                $res_arr = array("status"=>"success","message"=>"A password has been sent to your registered email. Please check your email and Login using this password.");

                echo json_encode($res_arr);
                
            }       
            else {
        
                $res_arr = array("status"=>"error","message"=>"Something Went Wrong");

                echo json_encode($res_arr);
            }           
        }
        else 
        {
       
            $res_arr = array("status"=>"error","message"=>"The entered email does not exists. Please use the correct email address.");
            echo json_encode($res_arr);
        }
    }



    public function fwd($to,$password)
    {
        
      
        $subject="Reset Password request for ".$to;
        $body="<h2 style=\"color:#00a89c\">Dear ".$to.",</h2>
        <p style=\"color:#333333\">As per your request Your Password is: <h3 style=\"color:#0073aa\">".$password."</h3> Login using this password.</p><p>Note: you can copy and paste this password in your Login Screen.</p><p>Thanks and Regards,</p><p>".APP_NAME."</p>";
        
        $sendmail= $this->send_email($to,$subject,$body);
        return $sendmail;
    }

    public function send_email($to,$subject,$body,$attach=false, $from=false) {

        $this->load->library('email');
        $config = array(
            'protocol'  => 'smtp',
            'smtp_host' => 'mail.emaginationz.net',
            'smtp_port' => 587,
            'smtp_user' => 'trupti@emaginationz.net',
            'smtp_pass' => 'trupti@emag2022!',
            'mailtype'  => 'html',
            'charset'   => 'utf-8'
        );
        $this->email->initialize($config);
        $this->email->set_crlf( "\r\n" ); 
        $this->email->set_mailtype("html");
        $this->email->set_newline("\r\n");
        
        $this->email->from('trupti@emaginationz.net', 'no-reply');
        $this->email->to($to);
        if($this->bcc!='') {
            $this->email->bcc($this->bcc);  
        }
        if($this->cc!='') {
            $this->email->cc($this->cc);    
        }   

        $this->email->subject($subject);
        $this->email->message($body);
        if($attach!='') {
            $this->email->attach($attach);
        }
        $this->email->set_mailtype("html");
        $send=$this->email->send();
        
//          echo $this->email->print_debugger();
//      echo $body;
//      die;
        
        return $send;
    }
      
      public function redirect_to()
      {
        if($this->session->userdata('user_name')=="")
        {

            redirect(base_url()."admin");
        }
        else
        {

            $data['detail_form']= $this->MasterModel->get_admission_detail($this->uri->segment(2));
            $data['detail_form'] = reset($data['detail_form']);

            $this->session->set_userdata(array(
                'form_id' => $this->uri->segment(2),
                'student_email' => $data['detail_form']['student_email'],
                'login_status' => 1

            ));

            redirect(base_url()."form/1");

        }
            
      }



public function changeUserStatus()
{
   $emp_id=$this->input->post('emp_id');
   $enable=$this->input->post('enable');
   if($enable==1)
   {
    $enable=0;
    $status ="unlock";
    $message = "Form Unlocked";
    
   }
   else 
   {
    $enable=1;
    $status ="lock";
    $message = "Form Locked";
   }

   $data =array(
    "lock_flag"=>$enable,
   );
  
   $userActivate= $this->MasterModel->update_form_data($emp_id, $data);
    if($status=="unlock")
    {
        $res_arr = array("status"=>"success","message"=>$message);

            echo json_encode($res_arr);
    }
    else
    {
        $res_arr = array("status"=>"error","message"=>$message);

            echo json_encode($res_arr);
    }
}


}
?>