<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class MasterModel extends CI_Model {

    public function __construct() {
        parent::__construct();
        date_default_timezone_set('Asia/Kolkata');

    }

    
   
    public function get_category($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('category');
        return $rs->result_array();
    }

    public function add_brand($data) {

        $this->db->insert('brand',$data); 
        return $this->db->insert_id();
    }

    public function update_brand($data, $edit_id) {
        $this->db->where('brand_id',$edit_id);
        return $this->db->update('brand',$data);
    } 

    public function get_brand($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

        $this->db->order_by('display_order',"ASC");
        $rs=$this->db->get('brand');
        return $rs->result_array();
    }

    public function get_brand_category($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

       $this->db->order_by('display_order',"ASC");
        $this->db->join('category','category.category_id=brand.brand_category_id', 'left');
        $rs=$this->db->get('brand');
        return $rs->result_array();
    }

    public function check_brand_unique($value) {
        $edit_id=$this->input->post('brand_id');
        return check_unique($value, 'brand_name','brand','brand_id', $edit_id);
    }


    // MODEl

    


    public function add_model($data) 
    {

        $this->db->insert('model',$data); 
        return $this->db->insert_id();
    }

    public function update_model($data, $edit_id) 
    {
        $this->db->where('model_id',$edit_id);
        return $this->db->update('model',$data);
    } 

    public function get_model($filter=false) 
    {    
        if($filter) {
            apply_filter($filter);
        }

        // $this->db->order_by('created_at',"DESC");
        $rs=$this->db->get('model');
        return $rs->result_array();
    }

    public function get_model_brand($filter=false) 
    {    
        if($filter) {
            apply_filter($filter);
        }

        // $this->db->order_by('created_at',"DESC");
        $this->db->join('brand','brand.brand_id=model.model_brand_id', 'left');
        $rs=$this->db->get('model');
        return $rs->result_array();
    }

    public function check_model_unique($value) {
        $edit_id=$this->input->post('model_id');
        return check_unique($value, 'model_name','model','model_id', $edit_id);
    }


    // gallery

    public function add_gallery($data = array()) 
    {

        // $this->db->insert('gallery',$data); 
        // return $this->db->insert_id();
        $insert = $this->db->insert_batch('model_gallery',$data); 
        return $insert?true:false; 
    }

    public function update_gallery($data, $edit_id) 
    {
        $this->db->where('gallery_id',$edit_id);
        return $this->db->update('model_gallery',$data);
    } 

    public function get_gallery($filter=false) 
    {    
        if($filter) {
            apply_filter($filter);
        }

        // $this->db->order_by('created_at',"DESC");
        $rs=$this->db->get('model_gallery');
        return $rs->result_array();
    }

    public function get_gallery_model($filter=false) 
    {    
        if($filter) {
            apply_filter($filter);
        }

        // $this->db->order_by('created_at',"DESC");
        $this->db->join('model','model.model_id=model_gallery.gallery_model_id', 'left');
        $rs=$this->db->get('model_gallery');
        return $rs->result_array();
    }

    public function check_gallery_unique($value) 
    {
        $edit_id=$this->input->post('gallery_id');
        return check_unique($value, 'gallery_name','gallery','gallery_id', $edit_id);
    }

    // Type

    public function get_type($filter=false) 
    {    
        if($filter) {
            apply_filter($filter);
        }

        // $this->db->order_by('created_at',"DESC");
        $rs=$this->db->get('gallery_image_type');
        return $rs->result_array();
    }


    public function get_signature_brand()
    {
        $this->db->order_by('display_order',"ASC");
         $this->db->where('brand_category_id',1);
         
         $rs=$this->db->get('brand');

        return $rs->result_array();
    }

    public function get_atelier_brand()
    {
        $this->db->order_by('display_order',"ASC");
         $this->db->where('brand_category_id',2);
         
         $rs=$this->db->get('brand');
        return $rs->result_array();
    }


    public function get_model_type_gallery($filter=false) 
    {    
        if($filter) {
            apply_filter($filter);
        }

        $this->db->join('gallery_image_type','gallery_image_type.type_id=model_gallery.gallery_image_type', 'left');
        $rs=$this->db->get('model_gallery');
        return $rs->result_array();
    }
}


