<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class MasterModel extends CI_Model {

    public function __construct() {
        parent::__construct();
        date_default_timezone_set('Asia/Kolkata');

    }

    
   
    public function get_program($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('program');
        return $rs->result_array();
    }

    public function add_program($data) {

        $this->db->insert('program',$data); 
        return $this->db->insert_id();
    }

    public function update_program($data, $edit_id) {
        $this->db->where('program_id',$edit_id);
        return $this->db->update('program',$data);
    } 

    
    public function check_program_unique($value) 
    {
        $edit_id=$this->input->post('program_id');
        return check_unique($value, 'program_name','program','program_id', $edit_id);
    }



    public function get_admission_year($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('admission_year');
        return $rs->result_array();
    }

    public function add_admission_year($data) {

        $this->db->insert('admission_year',$data); 
        return $this->db->insert_id();
    }

    public function update_admission_year($data, $edit_id) {
        $this->db->where('ay_id',$edit_id);
        return $this->db->update('admission_year',$data);
    } 

    
    public function check_year_unique($value) 
    {
        $edit_id=$this->input->post('ay_id');
        return check_unique($value, 'ay_name','admission_year','ay_id', $edit_id);
    }


    // caste

    public function get_caste($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('caste');
        return $rs->result_array();
    }

    public function add_caste($data) {

        $this->db->insert('caste',$data); 
        return $this->db->insert_id();
    }

    public function update_caste($data, $edit_id) {
        $this->db->where('caste_id',$edit_id);
        return $this->db->update('caste',$data);
    } 

    
    public function check_caste_unique($value) 
    {
        $edit_id=$this->input->post('caste_id');
        return check_unique($value, 'caste_name','caste','caste_id', $edit_id);
    }


    public function get_qualifying_exam($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('qualifying_exam');
        return $rs->result_array();
    }

    public function add_qualifying_exam($data) {

        $this->db->insert('qualifying_exam',$data); 
        return $this->db->insert_id();
    }

    public function update_qualifying_exam($data, $edit_id) {
        $this->db->where('qualifying_exam_id',$edit_id);
        return $this->db->update('qualifying_exam',$data);
    } 

    
    public function check_qualifying_exam_unique($value) 
    {
        $edit_id=$this->input->post('qualifying_exam_id');
        return check_unique($value, 'qualifying_exam_name','qualifying_exam','qualifying_exam_id', $edit_id);
    }
    

    public function get_degree_course($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('degree_course');
        return $rs->result_array();
    }

    public function add_degree_course($data) {

        $this->db->insert('degree_course',$data); 
        return $this->db->insert_id();
    }

    public function update_degree_course($data, $edit_id) {
        $this->db->where('dg_id',$edit_id);
        return $this->db->update('degree_course',$data);
    } 

    
    public function check_degree_course_unique($value) 
    {
        $edit_id=$this->input->post('dg_id');
        return check_unique($value, 'dg_name','degree_course','dg_id', $edit_id);
    }

    public function get_degree_course_by_qual()
    {
        $this->db->join('qualifying_exam','qualifying_exam.
            qualifying_exam_id=degree_course.name_of_examination', 'left');

        $rs=$this->db->get('degree_course');
        return $rs->result_array();
    }


    public function get_entrance_exam($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('entrance_exam');
        return $rs->result_array();
    }

    public function add_entrance_exam($data) {

        $this->db->insert('entrance_exam',$data); 
        return $this->db->insert_id();
    }

    public function update_entrance_exam($data, $edit_id) {
        $this->db->where('entrance_exam_id',$edit_id);
        return $this->db->update('entrance_exam',$data);
    } 

    
    public function check_entrance_exam_unique($value) 
    {
        $edit_id=$this->input->post('entrance_exam_id');
        return check_unique($value, 'entrance_exam_name','entrance_exam','entrance_exam_id', $edit_id);
    }

    public function get_gender($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('gender');
        return $rs->result_array();
    }

    public function get_maritial_status($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('maritial_status');
        return $rs->result_array();
    }


    public function get_education_details($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('education_details');
        return $rs->result_array();
    }
    public function get_entrance_exam_status($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('entrance_exam_status');
        return $rs->result_array();
    }

    public function get_nationality($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('nationality');
        return $rs->result_array();
    }

    public function get_physically_handicap($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('physically_handicap');
        return $rs->result_array();
    }

    public function get_qualifying_exam_status($filter=false) {    
        if($filter) {
            apply_filter($filter);
        }

     
        $rs=$this->db->get('qualifying_exam_status');
        return $rs->result_array();
    }


    // 


    public function save_form_data($form_id, $data) {
        $data['form_id'] = $form_id;
        $this->db->insert('student_admission_detail', $data);
    }

    public function update_form_data($form_id, $data) {
        $this->db->where('form_id', $form_id);
        $this->db->update('student_admission_detail', $data);
    }

    public function get_form_data($form_id) {
        $this->db->where('form_id', $form_id);
        $query = $this->db->get('student_admission_detail');
        return $query->row_array();
    }

    // public function save_student_education_detail($data) {

    //     $this->db->insert_batch('student_education_detail',$data);
       
    //     return $this->db->insert_id();
    // }
}


