<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/userguide3/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/



/*****CLIENT SERVICES*********/

// $route['default_controller'] = 'Front/login';
$route['default_controller'] = 'Front/login';
$route['register'] = 'Front/register';
$route['logoutuser'] = "Front/logout";

$route['form/(:num)'] = 'Front/index/$1';
// $route['form/(:num)/(:num)'] = 'Front/index/$1/$1';
$route['redirect/(:num)'] = 'Front/redirect_to/$1';
$route['previous/(:num)'] = 'Front/previous/$1';
$route['step9_submit'] = 'Front/step9_submit';
$route['view_ad_form/(:num)'] = 'Front/view_ad_form/$1';
$route['success'] = 'Front/success';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;



/*****ADMIN SERVICES*********/

$route['admin'] = "AuthController/login";
$route['logout'] = "AuthController/logout";

$route['program_list'] = "Backend/program_list";
$route['program_add'] = "Backend/program_add";
$route['program_edit/(:num)'] = "Backend/program_add/$1";

$route['admission_year_add'] = 'Backend/admission_year_add';
$route['admission_year_list'] = 'Backend/admission_year_list';
$route['admission_year_edit/(:num)'] = 'Backend/admission_year_add/$1';

$route['caste_add'] = 'Backend/caste_add';
$route['caste_list'] = 'Backend/caste_list';
$route['caste_edit/(:num)'] = 'Backend/caste_add/$1';



$route['qualifying_exam_add'] = 'Backend/qualifying_exam_add';
$route['qualifying_exam_list'] = 'Backend/qualifying_exam_list';
$route['qualifying_exam_edit/(:num)'] = 'Backend/qualifying_exam_add/$1';


$route['degree_course_add'] = 'Backend/degree_course_add';
$route['degree_course_list'] = 'Backend/degree_course_list';
$route['degree_course_edit/(:num)'] = 'Backend/degree_course_add/$1';

$route['entrance_exam_add'] = 'Backend/entrance_exam_add';
$route['entrance_exam_list'] = 'Backend/entrance_exam_list';
$route['entrance_exam_edit/(:num)'] = 'Backend/entrance_exam_add/$1';

$route['view_form'] = 'Backend/view_form';
$route['view_adm_form/(:num)'] = 'Backend/view_adm_form/$1';
$route['createExcel'] = 'Backend/createExcel';






