<?php
defined('BASEPATH') OR exit('No direct script access allowed');
require 'vendor/autoload.php';
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

class Backend extends CI_Controller {
	
	 function __construct() 
	 {
        parent::__construct();
        $this->logged_in();
		 $this->load->library('form_validation');
		 $this->load->model('MasterModel');
		 $this->load->library('email');
    }


    private function logged_in()
    {
        if(!$this->session->userdata('user_status'))
        {
            redirect('admin');
        }
        
        
    }

    public function program_list()
    {
    	$data['title'] = "Program List";
    	$data['program_list'] = $this->MasterModel->get_program();
		$data['file_name'] = 'admin/program_list';
		$this->load->view('admin/master', $data);
    }
	
	public function program_add($program_id=false)
    {
    	$data['title'] = "Program Add";
    	
    	if(!empty($_POST))
    	{
    		$this->program_save();
    	}
    	
    	if(!empty($program_id))
		{
			$data['title'] = "Edit Program";
			$data['program_id'] = $program_id;
			$filter_program['program.program_id']=$program_id;
			$data['edit_data'] = $this->MasterModel->get_program($filter_program);
		}
		$data['file_name'] = 'admin/program_add';
		$this->load->view('admin/master', $data);
    }


    function program_save($program_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'program_name',
    			'label'=>'program Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_program_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(strip_tags(validation_errors()));
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			
    		}
    	}

		$program_id = $this->input->post('program_id');


    	



    	$program_data = array(
    		'program_name' => $post_array['program_name'],
    		

    	);

    	

    	if(!empty($program_id)) 
    	{
    		$insert = $this->MasterModel->update_program($program_data, $program_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_program($program_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'program_list');
    	}

    } 

    public function program_delete()
		{
			$id=$this->input->post('id');

			$filter_get_category['WHERE']="program_id = ".$id."";
			$Selimage = $this->MasterModel->get_program($filter_get_category);
		
			$dd = unlink($Selimage[0]['program_banner_image']);
			if($dd)
			{
				$del= $this->db->query("DELETE FROM program WHERE program_id='$id'");
				if($del)
				{
					$res = array("status"=>"success","message"=>"Deleted Successfully");
					echo json_encode($res);
				}
				else
				{
					$res = array("status"=>"error","message"=>"Something Went Wrong");
					echo json_encode($res);
				}
			}


			
		}

    public function admission_year_list()
    {
    	$data['title'] = "Admission Year List";
    	$data['year_list']=$this->MasterModel->get_admission_year();
		$data['file_name'] = 'admin/admission_year_list';
		$this->load->view('admin/master', $data);
    }
	
	public function admission_year_add($ay_id=false)
    {
    	$data['title'] = "Add Admission Year";
    	if(!empty($_POST))
    	{
    		$this->admission_year_save();
    	}
    	if(!empty($ay_id))
		{
			$data['title'] = "Edit Admission Year";
			$data['ay_id'] = $ay_id;
			$filter_model['admission_year.ay_id']=$ay_id;
			$data['edit_data'] = $this->MasterModel->get_admission_year($filter_model);
		}
		$data['file_name'] = 'admin/admission_year_add';
		$this->load->view('admin/master', $data);
    }


    function admission_year_save($ay_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'ay_name',
    			'label'=>'Admission year Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_year_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(validation_errors());
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			return 0;
    		}
    	}

		$ay_id = $this->input->post('ay_id');


    	



    	$ay_data = array(
    		'ay_name' => $post_array['ay_name'],
    		

    	);

    	

    	if (!empty($ay_id)) 
    	{
    		$insert = $this->MasterModel->update_admission_year($ay_data, $ay_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_admission_year($ay_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'admission_year_list');
    	}

    }


    
public function caste_list()
	{

		$data['title'] = "Caste List";
		$data['caste_list'] = $this->MasterModel->get_caste();
		$data['file_name'] = 'admin/caste_list';
		$this->load->view('admin/master', $data);
	}
	
	
	public function caste_add($caste_id=false)
    {
    	$data['title'] = "Caste Add";
    	if(!empty($_POST))
    	{
    		$this->caste_save();
    	}
    	
    	if(!empty($caste_id))
		{
			$data['title'] = "Edit Caste";
			$data['caste_id'] = $caste_id;
			$filter_caste['caste.caste_id']=$caste_id;
			$data['edit_data'] = $this->MasterModel->get_caste($filter_caste);
		}
		$data['file_name'] = 'admin/caste_add';
		$this->load->view('admin/master', $data);
    }

    


    

   function caste_save($caste_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'caste_name',
    			'label'=>'Caste Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_caste_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(validation_errors());
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			return 0;
    		}
    	}

		$caste_id = $this->input->post('caste_id');

		$caste_data = array(
    		'caste_name' => $post_array['caste_name'],
    		

    	);

    	

    	if (!empty($caste_id)) 
    	{
    		$insert = $this->MasterModel->update_caste($caste_data, $caste_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_caste($caste_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'caste_list');
    	}

    }


public function qualifying_exam_list()
    {
    	$data['title'] = "Qualifying Exam List";
    	$data['qualifying_exam_list']=$this->MasterModel->get_qualifying_exam();
		$data['file_name'] = 'admin/qualifying_exam_list';
		$this->load->view('admin/master', $data);
    }
	
	public function qualifying_exam_add($qualifying_exam_id=false)
    {
    	$data['title'] = "Add Qualifying Exam";
    	if(!empty($_POST))
    	{
    		$this->qualifying_exam_save();
    	}
    	if(!empty($qualifying_exam_id))
		{
			$data['title'] = "Edit Qualifying Exam";
			$data['qualifying_exam_id'] = $qualifying_exam_id;
			$filter_model['qualifying_exam.qualifying_exam_id']=$qualifying_exam_id;
			$data['edit_data'] = $this->MasterModel->get_qualifying_exam($filter_model);
		}
		$data['file_name'] = 'admin/qualifying_exam_add';
		$this->load->view('admin/master', $data);
    }


    function qualifying_exam_save($qualifying_exam_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'qualifying_exam_name',
    			'label'=>'Qualifying Exam Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_qualifying_exam_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(validation_errors());
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			return 0;
    		}
    	}

		$qualifying_exam_id = $this->input->post('qualifying_exam_id');


    	



    	$qualifying_exam_data = array(
    		'qualifying_exam_name' => $post_array['qualifying_exam_name'],
    		

    	);

    	

    	if (!empty($qualifying_exam_id)) 
    	{
    		$insert = $this->MasterModel->update_qualifying_exam($qualifying_exam_data, $qualifying_exam_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_qualifying_exam($qualifying_exam_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'qualifying_exam_list');
    	}

    }



    public function degree_course_list()
    {
    	$data['title'] = "Degree Course List";
    	$data['degree_course_list']=$this->MasterModel->get_degree_course_by_qual();
		$data['file_name'] = 'admin/degree_course_list';
		$this->load->view('admin/master', $data);
    }
	
	public function degree_course_add($dg_id=false)
    {
    	$data['title'] = "Add Degree Course";
    	$data['qualifying_exam_list']=$this->MasterModel->get_qualifying_exam();
    	if(!empty($_POST))
    	{
    		$this->degree_course_save();
    	}
    	if(!empty($dg_id))
		{
			$data['title'] = "Edit Degree Course";
			$data['dg_id'] = $dg_id;
			$filter_model['degree_course.dg_id']=$dg_id;
			$data['edit_data'] = $this->MasterModel->get_degree_course($filter_model);
		}
		$data['file_name'] = 'admin/degree_course_add';
		$this->load->view('admin/master', $data);
    }


    function degree_course_save($dg_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'dg_name',
    			'label'=>'Degree Course Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_degree_course_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(validation_errors());
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			return 0;
    		}
    	}

		$dg_id = $this->input->post('dg_id');


    	



    	$degree_course_data = array(
    		'dg_name' => $post_array['dg_name'],
    		'name_of_examination' => $post_array['name_of_examination'],
    		

    	);

    	

    	if (!empty($dg_id)) 
    	{
    		$insert = $this->MasterModel->update_degree_course($degree_course_data, $dg_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_degree_course($degree_course_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'degree_course_list');
    	}

    }
		
    public function entrance_exam_list()
    {
    	$data['title'] = "Entrance Exam List";
    	$data['entrance_exam_list']=$this->MasterModel->get_entrance_exam();
		$data['file_name'] = 'admin/entrance_exam_list';
		$this->load->view('admin/master', $data);
    }
	
	public function entrance_exam_add($entrance_exam_id=false)
    {
    	$data['title'] = "Add Entrance Exam";
    	if(!empty($_POST))
    	{
    		$this->entrance_exam_save();
    	}
    	if(!empty($entrance_exam_id))
		{
			$data['title'] = "Edit Entrance Exam";
			$data['entrance_exam_id'] = $entrance_exam_id;
			$filter_model['entrance_exam.entrance_exam_id']=$entrance_exam_id;
			$data['edit_data'] = $this->MasterModel->get_entrance_exam($filter_model);
		}
		$data['file_name'] = 'admin/entrance_exam_add';
		$this->load->view('admin/master', $data);
    }


    function entrance_exam_save($entrance_exam_id=false) 
    {
    	$this->db->trans_begin();


    	$post_array = $this->input->post();

    	$this->load->library('form_validation');
    	$validate_rules=array(
    		array(
    			'field'=>'entrance_exam_name',
    			'label'=>'Entrance Exam Name ',
    			'rules'=>array(
    				'required',
    				array(
    					'check_title',
    					array($this->MasterModel, 'check_entrance_exam_unique')
    				),
    			),
    		),

    	);

    	if(!empty($validate_rules)) {
    		$this->form_validation->set_message('check_title','%s is already Exist');
    		$this->form_validation->set_rules($validate_rules);

    		if ($this->form_validation->run() == FALSE) {
    			set_message(validation_errors());
    			$this->session->set_flashdata('old_data',$this->input->post());
    			redirect_back();
    			return 0;
    		}
    	}

		$entrance_exam_id = $this->input->post('entrance_exam_id');


    	



    	$entrance_exam_data = array(
    		'entrance_exam_name' => $post_array['entrance_exam_name'],
    		

    	);

    	

    	if (!empty($entrance_exam_id)) 
    	{
    		$insert = $this->MasterModel->update_entrance_exam($entrance_exam_data, $entrance_exam_id);
    	}
    	else
    	{

    		$insert=$this->MasterModel->add_entrance_exam($entrance_exam_data);


    	}



    	if($this->db->trans_status() === FALSE) {
    		$this->db->trans_rollback();
    		set_message("Something went wrong, Please try again");
    		$this->session->set_flashdata('old_data',$post_array);
    		redirect_back();
    	}
    	else {
    		$this->db->trans_commit();
    		set_message('Data Updated Successfully.','success');
    		redirect(base_url().'entrance_exam_list');
    	}

    }
    

    public function view_form()
    {
    	$data['title'] = "View Admission List";
    	$_filter['submit_flag'] =1;
    	$data['view_form']=$this->MasterModel->get_form_data($_filter);
		$data['file_name'] = 'admin/view_form';
		$this->load->view('admin/master', $data);
    }

 public function view_adm_form($form_id)
{
    

    $user_id = $this->session->userdata('user_id');

    if(!empty($user_id))
    {
        $data['ad_detail'] = $this->MasterModel->get_admission_detail($form_id);
        $data['ad_detail'] = reset($data['ad_detail']);

        $data['education_detail']= $this->MasterModel->get_student_education_detail($form_id);
        $data['qualifying_detail']= $this->MasterModel->get_qualifying_exam_detail($form_id);
        $data['entrance_detail']= $this->MasterModel->get_entrance_exam_detail($form_id);
        $filter_['eed_form_id'] =$form_id;
    	$data['other_entrance_exam_list'] = $this->MasterModel->get_other_entrance_exam_export($filter_);

    //dsm($data['entrance_detail']);
        $this->load->view('admin/view_adm_form',$data);
    }
    else
    {
        redirect(base_url());
    }
}
		



public function createExcel() 
{
    $title = "rgcms-student-admission-list";

    $student_list = $this->MasterModel->get_bulk_student_data();
    $education_list = $this->MasterModel->get_student_education_export();
    $qualifying_exam_list = $this->MasterModel->get_qualifying_exam_export();
    $entrance_exam_list = $this->MasterModel->get_entrance_exam_export();
    $other_entrance_exam_list = $this->MasterModel->get_other_entrance_exam_export();

    $fileName = $title . '_' . time() . ".xlsx";
     $filePath = FCPATH . "uploads/" . $fileName;  // Use FCPATH to get the full server path
    $spreadsheet = new Spreadsheet();
    $sheet = $spreadsheet->getActiveSheet();

    $headers = [
        'A1' => 'Sr.No',
        'B1' => 'Program Applied for',
        'C1' => 'Admission Year',
        'D1' => 'Name of student',
        'E1' => 'Father’s Name',
        'F1' => 'Mother’s Name',
        'G1' => 'Date of Birth',
        'H1' => 'Place of Birth',
        'I1' => 'Marital Status',
        'J1' => 'Gender',
        'K1' => 'Religion',
        'L1' => 'Nationality',
        'M1' => 'Aadhar card No.',
        'N1' => 'Mother tongue',
        'O1' => 'Address of Correspondence',
        'P1' => 'Pin Code',
        'Q1' => 'State',
        'R1' => 'District',
        'S1' => 'City',
        'T1' => 'Permanent Address',
        'U1' => 'Pin Code',
        'V1' => 'State',
        'W1' => 'District',
        'X1' => 'City',
        'Y1' => 'Student Mobile No',
        'Z1' => 'Student Alternate No',
        'AA1' => 'Student E-mail id',
        'AB1' => 'Student’s Parents Number',
        'AC1' => 'Parent’s E-mail id',
        'AD1' => 'Caste Category',
        'AE1' => 'Sub Caste',
        'AF1' => 'Physically Handicapped',
        'AG1' => 'Name of the Examination',
        'AH1' => 'Name of Board',
        'AI1' => 'Name of School / College',
        'AJ1' => 'Year of Passing',
        'AK1' => 'Total Marks',
        'AL1' => 'Marks Obtained',
        'AM1' => 'Percentage (%)',
        'AN1' => 'Qualifying Exam Name',
        'AO1' => 'Qualifying Exam Status',
        'AP1' => 'Qualifying Exam Result',
        'AQ1' => 'Name of the Examination',
        'AR1' => 'Degree Course',
        'AS1' => 'Name of University',
        'AT1' => 'Name of College',
        'AU1' => 'Year of Passing',
        'AV1' => 'Total Marks',
        'AW1' => 'Marks Obtained',
        'AX1' => '%',
        'AY1' => 'CGPA',
        'AZ1' => 'Name of Entrance Exam',
        'BA1' => 'Entrance Exam Status',
        'BB1' => 'Date/Month/Year of Entrance Exam',
        'BC1' => 'Percentile Score',
        'BD1' => 'Other Name of Entrance Exam',
        'BE1' => 'Other Entrance Exam Status',
        'BF1' => 'Other Date/Month/Year of Entrance Exam',
        'BG1' => 'Other Percentile Score'
    ];

    foreach ($headers as $cell => $value) {
    $sheet->setCellValue($cell, $value);
    // Apply bold font style to headers
    $sheet->getStyle($cell)->getFont()->setBold(true);
}

// Apply borders to all cells in the body
$highestColumn = $sheet->getHighestColumn();
$highestRow = $sheet->getHighestRow();
$range = 'A1:' . $highestColumn . $highestRow;
$sheet->getStyle($range)->applyFromArray([
    'borders' => [
        'allBorders' => [
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
        ],
    ],
]);

    $cellno = 2;
    $srno = 1;

    foreach ($student_list as $ad_detail) {
        $student_name = $ad_detail['sf_name'] . " " . $ad_detail['sm_name'] . " " . $ad_detail['sl_name'];
        $newDate = date("d-m-Y", strtotime($ad_detail['sdob']));

        $startCell = $cellno;

        $sheet->setCellValue('A' . $cellno, $srno);
        $sheet->setCellValue('B' . $cellno, $ad_detail['program_name']);
        $sheet->setCellValue('C' . $cellno, $ad_detail['ay_name']);
        $sheet->setCellValue('D' . $cellno, $student_name);
        $sheet->setCellValue('E' . $cellno, $ad_detail['sfathers_name']);
        $sheet->setCellValue('F' . $cellno, $ad_detail['smothers_name']);
        $sheet->setCellValue('G' . $cellno, $newDate);
        $sheet->setCellValue('H' . $cellno, $ad_detail['spob']);
        $sheet->setCellValue('I' . $cellno, $ad_detail['m_name']);
        $sheet->setCellValue('J' . $cellno, $ad_detail['gender_name']);
        $sheet->setCellValue('K' . $cellno, $ad_detail['sreligion']);
        $sheet->setCellValue('L' . $cellno, $ad_detail['n_name']);
        $sheet->setCellValue('M' . $cellno, $ad_detail['saadhar']);
        $sheet->setCellValue('N' . $cellno, $ad_detail['smother_tongue']);
        $sheet->setCellValue('O' . $cellno, $ad_detail['paddress_of_corr']);
        $sheet->setCellValue('P' . $cellno, $ad_detail['ppincode']);
        $sheet->setCellValue('Q' . $cellno, $ad_detail['pstate']);
        $sheet->setCellValue('R' . $cellno, $ad_detail['pdistrict']);
        $sheet->setCellValue('S' . $cellno, $ad_detail['pcity']);
        $sheet->setCellValue('T' . $cellno, $ad_detail['perma_address']);
        $sheet->setCellValue('U' . $cellno, $ad_detail['perma_pincode']);
        $sheet->setCellValue('V' . $cellno, $ad_detail['perma_state']);
        $sheet->setCellValue('W' . $cellno, $ad_detail['perma_district']);
        $sheet->setCellValue('X' . $cellno, $ad_detail['perma_city']);
        $sheet->setCellValue('Y' . $cellno, $ad_detail['smobile']);
        $sheet->setCellValue('Z' . $cellno, $ad_detail['smobile_alt']);
        $sheet->setCellValue('AA' . $cellno, $ad_detail['semail']);
        $sheet->setCellValue('AB' . $cellno, $ad_detail['pmobile']);
        $sheet->setCellValue('AC' . $cellno, $ad_detail['pemail']);
        $sheet->setCellValue('AD' . $cellno, $ad_detail['caste_name']);
        $sheet->setCellValue('AE' . $cellno, $ad_detail['ssubcaste']);
        $sheet->setCellValue('AF' . $cellno, $ad_detail['physical_handicap']);

        $educationStartCell = $cellno;

        foreach ($education_list as $stdL) {
            if ($stdL['sedu_form_id'] == $ad_detail['student_id']) {
                $sheet->setCellValue('AG' . $educationStartCell, $stdL['edu_name']);
                $sheet->setCellValue('AH' . $educationStartCell, $stdL['sedu_board_name']);
                $sheet->setCellValue('AI' . $educationStartCell, $stdL['sedu_school_name']);
                $sheet->setCellValue('AJ' . $educationStartCell, $stdL['sedu_passing_year']);
                $sheet->setCellValue('AK' . $educationStartCell, $stdL['sedu_total_marks']);
                $sheet->setCellValue('AL' . $educationStartCell, $stdL['sedu_marks_obtain']);
                $sheet->setCellValue('AM' . $educationStartCell, $stdL['sedu_percentage']);
                $educationStartCell++;
            }
        }

        $qualifyingStartCell = $cellno;

        foreach ($qualifying_exam_list as $stdL) {
            if ($stdL['qed_form_id'] == $ad_detail['student_id']) {
                $sheet->setCellValue('AN' . $qualifyingStartCell, $stdL['qualifying_exam_name']);
                $sheet->setCellValue('AO' . $qualifyingStartCell, $stdL['q_name']);
                $sheet->setCellValue('AP' . $qualifyingStartCell, $stdL['qer_name']);
                $sheet->setCellValue('AQ' . $qualifyingStartCell, $stdL['qualifying_exam_name']);
                $sheet->setCellValue('AR' . $qualifyingStartCell, $stdL['dg_name']);
                $sheet->setCellValue('AS' . $qualifyingStartCell, $stdL['qed_university_name']);
                $sheet->setCellValue('AT' . $qualifyingStartCell, $stdL['qed_colg_name']);
                $sheet->setCellValue('AU' . $qualifyingStartCell, $stdL['qed_passing_year']);
                $sheet->setCellValue('AV' . $qualifyingStartCell, $stdL['qed_total_marks']);
                $sheet->setCellValue('AW' . $qualifyingStartCell, $stdL['qed_marks_obtained']);
                $sheet->setCellValue('AX' . $qualifyingStartCell, $stdL['qed_percentage']);
                $sheet->setCellValue('AY' . $qualifyingStartCell, $stdL['qed_cgpa']);
                $qualifyingStartCell++;
            }
        }

        $entranceStartCell = $cellno;

        foreach ($entrance_exam_list as $stdL) {
            if ($stdL['eed_form_id'] == $ad_detail['student_id']) {
                $sheet->setCellValue('AZ' . $entranceStartCell, $stdL['entrance_exam_name']);
                $sheet->setCellValue('BA' . $entranceStartCell, $stdL['ees_name']);
                $sheet->setCellValue('BB' . $entranceStartCell, $stdL['eed_month_year']);
                $sheet->setCellValue('BC' . $entranceStartCell, $stdL['eed_percentage']);
                $entranceStartCell++;
            }
        }

        $otherEntranceStartCell = $cellno;

        foreach ($other_entrance_exam_list as $stdL) {
            if ($stdL['eed_form_id'] == $ad_detail['student_id']) {
                $sheet->setCellValue('BD' . $otherEntranceStartCell, $stdL['entrance_exam_name']);
                $sheet->setCellValue('BE' . $otherEntranceStartCell, $stdL['ees_name']);
                $sheet->setCellValue('BF' . $otherEntranceStartCell, $stdL['other_eed_month_year']);
                $sheet->setCellValue('BG' . $otherEntranceStartCell, $stdL['other_eed_percentage']);
                $otherEntranceStartCell++;
            }
        }

        $maxCell = max($educationStartCell, $qualifyingStartCell, $entranceStartCell, $otherEntranceStartCell);
        $cellno = $maxCell;

        $srno++;
    }

    // if (!is_dir('uploads')) {
    //     mkdir('uploads', 0755, true);
    // }

    // $writer = new Xlsx($spreadsheet);
    // $writer->save("uploads/" . $fileName);
    // header("Content-Type: application/vnd.ms-excel");
    // redirect(base_url() . "/uploads/" . $fileName);
    // unlink(base_url() . "/uploads/" . $fileName);
    $writer = new Xlsx($spreadsheet);
    $writer->save($filePath); // Save the file to the filesystem

    // Set the headers to download the file
    header("Content-Type: application/vnd.ms-excel");
    header("Content-Disposition: attachment; filename=\"$fileName\"");
    header("Cache-Control: max-age=0");
    readfile($filePath); // Read and send the file to the browser

    unlink($filePath); // Delete the file from the server
    exit(); // Ensure no further output is sent
}

function delete_student()
{
	
	$this->db->trans_begin();
	$student_id = $this->input->post('student_id');
	//dsm($student_id);
	
		// deletion admission detail
		$this->db->where('student_id',$student_id);
		$this->db->delete('student_admission_detail');

	// deletion education detail
		$this->db->where('sedu_form_id',$student_id);
		$this->db->delete('student_education_detail');

	// deletion Qualifying exam detail
		$this->db->where('qed_form_id',$student_id);
		$this->db->delete('qualifying_exam_detail');

	// deletion Entrance exam detail
		$this->db->where('eed_form_id',$student_id);
		$this->db->delete('entrance_exam_detail');

		
		$parentFolder = FCPATH . 'uploads/'.$student_id;
		$del = deleteDirectory($parentFolder);
	
	

	if($this->db->trans_status() === FALSE) 
	{
		$this->db->trans_rollback();
		$res_arr = array("status"=>"error",'message' => 'Something Went Wrong, Try again!!');
        echo json_encode($res_arr);
	}
	else 
	{
		$this->db->trans_commit();

		
		if ($del) {
			$res_arr = array("status"=>"success",'message' => 'Record Deleted Successfully');
			echo json_encode($res_arr);
		} 
		else 
		{
			$res_arr = array("status"=>"error",'message' => 'Sorry! Failed to delete Record try again');
        	echo json_encode($res_arr);
		}
        

	}
}
	
}


?>