<!DOCTYPE html>
<html>
<head>
    <title>RGCMS Application Form</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale = 1.0,maximum-scale=1.0, user-scalable=no">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js"></script>
  

    <script src="https://cdnjs.cloudflare.com/ajax/libs/html2pdf.js/0.9.2/html2pdf.bundle.min.js"></script>
    <style>
    html, body {
    width: 100%;
    max-width: 100%;
    min-width: 100%;
    overflow-x: hidden;
}
    body {
        font-family: Arial, sans-serif;
    }
    table {
        width: 100%;
        max-width: 100%;
       border-collapse: collapse;
    }
    th, td {
        border: 1px solid black;
        padding: 8px;
        text-align: left;
        font-size: 12px;
        line-height: 15px;
    }

    th {
        background-color: #f2f2f2;
    }
    .section-title {
        background-color: #ddd;
        font-weight: bold;
        text-align: center;
    }
    .pos-relative{
        position: relative;
    }
    .sign-img{
        position: absolute;
        top:0;
        right: 8px;
    }
    .text-uppercase{
        text-transform: uppercase;
    }
    .subtitle{
        font-size:15px;
        line-height:20px;
    }
    
    /*media query*/
@media only screen and (max-width: 760px) {
    img{
        width:100%;
    }
    .h2, h2 {
    font-size: 1rem;
    font-weight:600;
}
.subtitle {
    font-size: 13px;
    line-height: 16px;
    margin-bottom: 0;
}
.sign-img {
    width: 80px;
}
.hscroll-table{
    overflow-x: auto;
    display: block;
}
.checked-img{
        width: 20px;
}


}
    
    
    
    
    
    @media print {
    table {
        width: 100%;
    }
}
    </style>
</head>
<body>
   <button id="exportButton">Download as PDF</button>

   <script type="text/javascript">
document.getElementById('exportButton').addEventListener('click', () => {
            const element = document.getElementById('htmlContent');
            const opt = {
                margin: 0.6, // Adjust as necessary to fit content
                filename: 'document.pdf',
                image: { type: 'jpeg', quality: 0.98 },
                html2canvas: { scale: 2, 
                bottom: 10, // Keep scaling factor at 1 for accurate border size
            useCORS: true, // Enable CORS to avoid any cross-origin issues
            logging: true, // Enable logging to debug any issues
            dpi: 300, // Set DPI to 300 for high-quality output
            letterRendering: true // Enable letter rendering for better text quality 
        },
                 pagebreak: { mode: ['css']},
                jsPDF: { unit: 'in', format: 'a4', orientation: 'portrait' }
            };
            html2pdf().set(opt).from(element).save();
        });


</script>
   
    
<div id="htmlContent">
    <table style="border: none;margin-bottom:0px;" width="100%">
        <td style="border: none;" width="15%">
            <img src="<?php echo base_url()?>assets/images/rg/logo.png">
        </td>

        <td class="text-center" width="70%" style="border: none;">
            <h2>Rajeev Gandhi College of Management Studies</h2>
            <p style="margin-bottom:5px">Plot No.01, Sector – 08, Ghansoli, Navi Mumbai, 400701</p>
               <p class="subtitle"> Approved by AICTE, DTE (Code- MB3159), Affiliated to University of Mumbai<br>
                Accredited by NAAC ‘A’ Grade</p>
            </td>

            <td style="border: none; text-align:right" width="15%; text-align:right">
                <img src="<?php echo base_url().'uploads/'.$ad_detail['student_id'].'/passport_photo/'.$ad_detail['passport_photo']?>" width="132" height="auto">
            </td>

        </table>


        <table style="border: none; margin-bottom:20px;">

            <td class="text-center" width="55%" style="border: none; padding:0">
                <table>
                    <tr class="section-title">
                        <td colspan="2">Program Details</td>
                    </tr>
                    <tr>
                        <td>Program Applied for</td>
                        <td class="text-uppercase"><?php echo $ad_detail['program_name'];?></td>
                    </tr>
                    <tr>
                        <td>Admission Year</td>
                        <td class="text-uppercase"><?php echo $ad_detail['ay_name'];?></td>
                    </tr>
                    <tr>
                        <td>Admission Category (For College Use Only)</td>
                        <td class="text-uppercase">
                            <?php echo $ad_detail['caste_name'];?><br>
                        </td>
                    </tr>
                </table>
            </td>

            <td style="border: none; " width="15%" class="pos-relative">
                <img src="<?php echo base_url().'uploads/'.$ad_detail['student_id'].'/signature/'.$ad_detail['signature']?>" width="132" height="auto"  class="sign-img">
            </td>

        </table>




        <table style="margin-bottom:20px;">
            <tr class="section-title">
                <td colspan="4">Personal Information</td>
            </tr>
            <tr>
                <td>Name of student</td>
                <td class="text-uppercase"><?php echo $ad_detail['sl_name'];?></td>
                <td class="text-uppercase"><?php echo $ad_detail['sf_name'];?></td>
                <td class="text-uppercase"><?php echo $ad_detail['sm_name'];?></td>
            </tr>
            <tr>
                <td>Father’s Name</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['sfathers_name'];?></td>
            </tr>
            <tr>
                <td>Mother’s Name</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['smothers_name'];?></td>
            </tr>
            <tr>
                <td>Date of Birth</td>
                <td colspan="3"  class="text-uppercase"><?php echo date('d-m-Y',strtotime($ad_detail['sdob']));?></td>
            </tr>
            <tr>
                <td>Place of Birth</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['spob'];?></td>
            </tr>
            <tr>
                <td>Marital Status</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['m_name'];?></td>
            </tr>
            <tr>
                <td>Gender</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['gender_name'];?></td>
            </tr>
            <tr>
                <td>Religion</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['sreligion'];?></td>
            </tr>
            <tr>
                <td>Nationality</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['n_name'];?></td>
            </tr>
            <tr>
                <td>Aadhar card No.</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['saadhar'];?></td>
            </tr>
            <tr>
                <td>Mother tongue</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['smother_tongue'];?></td>
            </tr>
        </table>



       
<table style="margin-bottom:20px;">
    <tr class="section-title">
        <td colspan="6">2. Address Details</td>
    </tr>
    <tr>
        <td width="20%">Address of Correspondence</td>
        <td colspan="4" class="text-uppercase"><span class="mandatory"><?php echo $ad_detail['paddress_of_corr'];?></span></td>
        <td><span class="mandatory">Pin Code:</span> <span class="text-uppercase"><?php echo $ad_detail['ppincode'];?></span></td>
    </tr>
    <tr>
        <td colspan="2">State: <span class="text-uppercase"><?php echo $ad_detail['pstate'];?></span></td>
        <td colspan="2">District: <span class="text-uppercase"><?php echo $ad_detail['pdistrict'];?></span></td>
        <td colspan="2">City: <span class="text-uppercase"><?php echo $ad_detail['pcity'];?></span></td>
    </tr>
    <tr>
        <td width="20%">Permanent Address</td>
        <td colspan="4" class="text-uppercase"><span class="mandatory"><?php echo $ad_detail['perma_address'];?></span></td>
        <td colspan="1"><span class="mandatory">Pin Code:</span> <span class="text-uppercase"><?php echo $ad_detail['perma_pincode'];?></span></td>
    </tr>
    <tr>
        <td colspan="2">State: <span class="text-uppercase"><?php echo $ad_detail['perma_state'];?></span></td>
        <td colspan="2">District: <span class="text-uppercase"><?php echo $ad_detail['perma_district'];?></span></td>
        <td colspan="2">City: <span class="text-uppercase"><?php echo $ad_detail['perma_city'];?></span></td>
    </tr>
</table>


      <table style="margin-bottom:20px;">
        <tr class="section-title">
            <td colspan="4">3. Contact Details</td>
        </tr>
        <tr>
            <td>Student Mobile No. (Preferably Whatsapp No.)</td>
            <td><?php echo $ad_detail['smobile'];?></td>
            <td rowspan="2">Student E-mail id:</td>
            <td rowspan="2"><span class="text-uppercase"><?php echo $ad_detail['semail'];?></span></td>
        </tr>
        <tr>
            <td>Student Alternate No.</td>
            <td><?php echo $ad_detail['smobile_alt'];?></td>
        </tr>
        <tr>
            <td>Student’s Parents Number</td>
            <td><?php echo $ad_detail['pmobile'];?></td>
            <td>Parent’s E-mail id:</td>
            <td><span class="text-uppercase"><?php echo $ad_detail['pemail'];?></span></td>
        </tr>
    </table>

        <table style="margin-bottom:20px;">
            <tr class="section-title">
                <td colspan="3">4. Reservation Details</td>
            </tr>
            <tr>
                <td>Caste Category: <span class="text-uppercase"><?php echo $ad_detail['caste_name'];?></span></td>
                <td>Sub Caste: <span class="text-uppercase"><?php echo $ad_detail['ssubcaste'];?></span></td>
                <td>Physically Handicapped: <span class="text-uppercase"><?php echo $ad_detail['physical_handicap'];?></span></td>
            </tr>
        </table>

        <table style="margin-bottom:20px;" class="hscroll-table">
            <tr class="section-title">
                <td colspan="8">5. Education Details</td>
            </tr>
            <tr>
                <th>Name of the Examination</th>
                <th>Name of Board</th>
                <th>Name of School / College</th>
                <th>Year of Passing</th>
                <th>Total Marks</th>
                <th>Marks Obtained</th>
                <th>Percentage (%)</th>
            </tr>

            <?php 

                foreach ($education_detail as $key => $value) 
                    {?>

                        <tr>
                            <td class="text-uppercase"><?php echo $value['edu_name'];?></td>
                            <td class="text-uppercase"><?php echo $value['sedu_board_name'];?></td>
                            <td class="text-uppercase"><?php echo $value['sedu_school_name'];?></td>
                            <td class="text-uppercase"><?php echo $value['sedu_passing_year'];?></td>
                            <td class="text-uppercase"><?php echo $value['sedu_total_marks'];?></td>
                            <td class="text-uppercase"><?php echo $value['sedu_marks_obtain'];?></td>
                            <td class="text-uppercase"><?php echo $value['sedu_percentage'];?></td>
                        </tr>
               <?php }

            ?>
            
            
        </table>

        <table style="margin-bottom:20px;">
            <tr class="section-title">
                <td colspan="9">6. Qualifying Exam Details</td>
            </tr>
            <tr>
                <td>Qualifying Exam Name</td>
                <td colspan="8" class="text-uppercase"><?php echo $qualifying_detail[0]['qualifying_exam_name']?></td>
            </tr>
            <tr>
                <td>Qualifying Exam Status</td>
                <td colspan="8" class="text-uppercase"><?php echo $qualifying_detail[0]['q_name']?></td>
            </tr>
            <tr>
                <td>Qualifying Exam Result</td>
                <td colspan="8" class="text-uppercase"><?php if($qualifying_detail[0]['qed_result']==1)
                {
                    echo "CGPA";
                }
                else if($qualifying_detail[0]['qed_result']==2)
                {
                     echo "Marks";
                }
            ?></td>
            </tr>

            <?php 

                if($qualifying_detail[0]['qid']==1)
                {?>
                    <tr>
                <td>Name of the Examination</td>
                <td>Degree Course</td>
                <td>Name of University</td>
                <td>Name of College</td>
                <td>Year of Passing</td>
                <td>Total Marks</td>
                <td>Marks Obtained</td>
                <td>%</td>
                <td>CGPA</td>
            </tr>
            <tr>
                <?php 

                foreach ($qualifying_detail as $key => $value) 
                    {?>

                        <tr>
                            <td class="text-uppercase"><?php echo $value['qualifying_exam_name'];?></td>
                            <td class="text-uppercase"><?php echo $value['dg_name'];?></td>
                            <td class="text-uppercase"><?php echo $value['qed_university_name'];?></td>
                            <td class="text-uppercase"><?php echo $value['qed_colg_name'];?></td>
                            <td class="text-uppercase"><?php echo $value['qed_passing_year'];?></td>
                            <td class="text-uppercase"><?php echo $value['qed_total_marks'];?></td>
                            <td class="text-uppercase"><?php echo $value['qed_marks_obtained'];?></td>
                            <td class="text-uppercase"><?php echo $value['qed_percentage'];?></td>
                            <td class="text-uppercase"><?php echo $value['qed_cgpa'];?></td>
                        </tr>
               <?php }

            ?>
            </tr>

                <?php }

            ?>
            
        </table>

        <table style="margin-bottom:20px;">
            <tr class="section-title">
                <td colspan="8">7. Entrance Exam Details</td>
            </tr>
            <!-- <tr>
                <td>Entrance Exam Status</td>
                <td colspan="2">Passed/Appeared/Not Appeared</td>
            </tr> -->
            <tr>
                <th>Name of Entrance Exam</th>
                <th>Entrance Exam Status</th>
                <th>Date/Month/Year of Entrance Exam</th>
                <th>Percentile Score</th>
                <th>Other Name of Entrance Exam</th>
                <th>Other Entrance Exam Status</th>
                <th>Other Date/Month/Year of Entrance Exam</th>
                <th>Other Percentile Score</td>
            </tr>
            <tr>
                <?php 

                foreach ($entrance_detail as $key => $value) 
                    {?>

                       
                            <td class="text-uppercase"><?php echo $value['entrance_exam_name'];?></td>
                            <td class="text-uppercase"><?php echo $value['ees_name'];?></td>
                            <td class="text-uppercase"><?php echo $value['eed_month_year'];?></td>
                            <td class="text-uppercase"><?php echo $value['eed_percentage'];?></td>
                        
               <?php }

            ?>


            <?php 

                foreach ($other_entrance_exam_list as $key => $value) 
                    {?>

                        
                            <td class="text-uppercase"><?php echo $value['entrance_exam_name'];?></td>
                            <td class="text-uppercase"><?php echo $value['ees_name'];?></td>
                            <td class="text-uppercase"><?php echo $value['other_eed_month_year'];?></td>
                            <td class="text-uppercase"><?php echo $value['other_eed_percentage'];?></td>
                        
               <?php }

            ?>
            </tr>
            
        </table>

        <table style="margin-bottom:20px;">
            <tr class="section-title">
                <td colspan="3">8. Attachments (Scan copy of Original Certificates)</td>
            </tr>
            <tr>
                <th>Sr. No.</th>
                <th>Name of Documents/Certificate</th>
                <th>Attached Doc</th>
            </tr>
            <tr>
                <td>1</td>
                <td>SSC MARKSHEET/SSC CERTIFICATE</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['ssc_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>2</td>
                <td>HSC MARKSHEET/HSC CERTIFICATE</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['hsc_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>3</td>
                <td>GRADUATION SEMESTER-1 MARKSHEET</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['grad_sem1_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>4</td>
                <td>GRADUATION SEMESTER-2 MARKSHEET</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['grad_sem2_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>5</td>
                <td>GRADUATION SEMESTER-3 MARKSHEET</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['grad_sem3_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>6</td>
                <td>GRADUATION SEMESTER-4 MARKSHEET</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['grad_sem4_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>7</td>
                <td>GRADUATION SEMESTER-5 MARKSHEET</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['grad_sem5_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>8</td>
                <td>GRADUATION SEMESTER-6 MARKSHEET</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['grad_sem6_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>9</td>
                <td>GRADUATION SEMESTER-7 MARKSHEET</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['grad_sem7_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>10</td>
                <td>GRADUATION SEMESTER-8 MARKSHEET</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['grad_sem8_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>11</td>
                <td>GRADUATION PASSING CERTIFICATE</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['grad_pass_certificate']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>12</td>
                <td>ENTRANCE EXAM RESULT</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['entrance_exam_result']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>13</td>
                <td>BIRTH /SCHOOLE LEAVING/DOMICILE CERTIFICATE/PASSPORT</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['birth_leave_domicile_passport']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>14</td>
                <td>GRADUATION TRANSFER CERTIFICATE</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['grad_transfer_certificate']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>15</td>
                <td>CASTE CERTIFICATE</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['caste_certificate']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>16</td>
                <td>CASTE VALIDITY CERTIFICATE</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['caste_validity']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>17</td>
                <td>NON CREAMYLAYER CERTIFICATE</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['non_creamylayer']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td class="text-uppercase">18</td>
                <td>GAP CERTIFICATE</td>
                <td class="text-uppercase"><?php 
                    if(!empty($ad_detail['gap_certificate']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
        </table>

        <table>
            <tr class="section-title">
                <td colspan="2">Declaration by student</td>
            </tr>
            <tr>
                <td style="border-right:none"><img class="checked-img" src="<?php echo base_url()?>assets/images/rg/check-correct-icon.png" width="20px"></td>
                <td style="border-left:none">Declaration: I/We declare that to the best of my/our knowledge, the information given in this form is correct and complete. I/We understand that the provision of incorrect information or withholding of any information relating to my academic record may result in the cancellation of my admission at any stage during the tenure of the course. I/We recognize that this application is submitted and received on the understanding that the institution may obtain official records with respect to my application form. I/We declare that I/We will comply with all the present rules and regulations of the institute, trust and the Mumbai University, in force and as amended from time to time. </td>
            </tr>
        </table>
    </div>

    </body>
    </html>
