<!DOCTYPE html>
<html>
<head>
    <title>RGCMS Application Form</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js"></script>
    <style>
    body {
        font-family: Arial, sans-serif;
    }
    table {
        width: 100%;
        border-collapse: collapse;
    }
    th, td {
        border: 1px solid black;
        padding: 8px;
        text-align: left;
    }
    th {
        background-color: #f2f2f2;
    }
    .section-title {
        background-color: #ddd;
        font-weight: bold;
        text-align: center;
    }
    .pos-relative{
        position: relative;
    }
    .sign-img{
        position: absolute;
        top:0;
        right: 8px;
    }
    .text-uppercase{
        text-transform: uppercase;
    }
    .html2canvas-container { 
    width: 3000px; 
    height: 3000px; 
}
    </style>
</head>
<body>
    <!-- <button onclick="downloadFunction()">Download this WebPage as PDF</button> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/html2pdf.js/0.10.1/html2pdf.bundle.min.js"></script>
<script>
    // Function to handle download
    function downloadFunction() {
    
        const element = document.getElementById('body');
        const formattedDate = new Date().toLocaleDateString('en-GB').replace(/\//g, '-');
        const options = {
            margin:10,
            filename: 'FileName_' + formattedDate + '.pdf',
            image: { type: 'jpeg', quality: 1.0 },
            html2canvas: { scale: 4 },
            jsPDF: { unit: 'mm', format: 'a4', orientation: 'portrait' }
        };
        html2pdf(element, options);
      

       
    }
</script>
<div id="body">
    <table style="border: none;">
        <td style="border: none;" width="15%">
            <img src="<?php echo base_url()?>assets/images/rg/logo.png">
        </td>

        <td class="text-center" width="70%" style="border: none;">
            <h2>Rajeev Gandhi College of Management Studies</h2>
            <p>Plot No.01 Sector – 08 Ghansoli Navi Mumbai 400701<br>
                Approved by AICTE Affiliated to University of Mumbai (DTE Code-MB3159)<br>
                Accredited by NAAC ‘A’ Grade</p>
            </td>

            <td style="border: none; text-align:right" width="15%; text-align:right">
                <img src="<?php echo base_url().'uploads/'.$ad_detail['student_id'].'/passport_photo/'.$ad_detail['passport_photo']?>" width="132" height="auto">
            </td>

        </table>


        <table style="border: none; margin-bottom:25px;">

            <td class="text-center" width="85%" style="border: none; padding:0">
                <table>
                    <tr class="section-title">
                        <td colspan="2">Program Details</td>
                    </tr>
                    <tr>
                        <td>Program Applied for</td>
                        <td><?php echo $ad_detail['program_name'];?></td>
                    </tr>
                    <tr>
                        <td>Admission Year</td>
                        <td><?php echo $ad_detail['ay_name'];?></td>
                    </tr>
                    <tr>
                        <td>Admission Category (For College Use Only)</td>
                        <td>
                            <?php echo $ad_detail['caste_name'];?><br>
                        </td>
                    </tr>
                </table>
            </td>

            <td style="border: none; " width="15%" class="pos-relative">
                <img src="<?php echo base_url().'uploads/'.$ad_detail['student_id'].'/signature/'.$ad_detail['signature']?>" width="132" height="auto"  class="sign-img">
            </td>

        </table>




        <table style="margin-bottom:25px;">
            <tr class="section-title">
                <td colspan="4">Personal Information</td>
            </tr>
            <tr>
                <td>Name of student</td>
                <td class="text-uppercase"><?php echo $ad_detail['sl_name'];?></td>
                <td class="text-uppercase"><?php echo $ad_detail['sf_name'];?></td>
                <td class="text-uppercase"><?php echo $ad_detail['sm_name'];?></td>
            </tr>
            <tr>
                <td>Father’s Name</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['sfathers_name'];?></td>
            </tr>
            <tr>
                <td>Mother’s Name</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['smothers_name'];?></td>
            </tr>
            <tr>
                <td>Date of Birth</td>
                <td colspan="3"  class="text-uppercase"><?php echo date('d-m-Y',strtotime($ad_detail['sdob']));?></td>
            </tr>
            <tr>
                <td>Place of Birth</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['spob'];?></td>
            </tr>
            <tr>
                <td>Marital Status</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['m_name'];?></td>
            </tr>
            <tr>
                <td>Gender</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['gender_name'];?></td>
            </tr>
            <tr>
                <td>Religion</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['sreligion'];?></td>
            </tr>
            <tr>
                <td>Nationality</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['n_name'];?></td>
            </tr>
            <tr>
                <td>Aadhar card No.</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['saadhar'];?></td>
            </tr>
            <tr>
                <td>Mother tongue</td>
                <td colspan="3"  class="text-uppercase"><?php echo $ad_detail['smother_tongue'];?></td>
            </tr>
        </table>



       
<table style="margin-bottom:25px;">
    <tr>
        <th colspan="6">2. Address Details</th>
    </tr>
    <tr>
        <td width="20%">Address of Correspondence</td>
        <td colspan="4"><span class="mandatory"><?php echo $ad_detail['paddress_of_corr'];?></span></td>
        <td><span class="mandatory">Pin Code: <?php echo $ad_detail['ppincode'];?></span></td>
    </tr>
    <tr>
        <td colspan="2">State: <?php echo $ad_detail['pstate'];?></td>
        <td colspan="2">District: <?php echo $ad_detail['pdistrict'];?></td>
        <td colspan="2">City: <?php echo $ad_detail['pcity'];?></td>
    </tr>
    <tr>
        <td width="20%">Permanent Address</td>
        <td colspan="4"><span class="mandatory"><?php echo $ad_detail['perma_address'];?></span></td>
        <td colspan="1"><span class="mandatory">Pin Code: <?php echo $ad_detail['perma_pincode'];?></span></td>
    </tr>
    <tr>
        <td colspan="2">State: <?php echo $ad_detail['perma_state'];?></td>
        <td colspan="2">District: <?php echo $ad_detail['perma_district'];?></td>
        <td colspan="2">City: <?php echo $ad_detail['perma_city'];?></td>
    </tr>
</table>


      <table style="margin-bottom:25px;">
        <tr>
            <th colspan="4">3. Contact Details</th>
        </tr>
        <tr>
            <td>Student Mobile No. (Preferably Whatsapp No.)</td>
            <td><?php echo $ad_detail['smobile'];?></td>
            <td rowspan="2">Student E-mail id:</td>
            <td rowspan="2"><?php echo $ad_detail['semail'];?></td>
        </tr>
        <tr>
            <td>Student Alternate No.</td>
            <td><?php echo $ad_detail['smobile_alt'];?></td>
        </tr>
        <tr>
            <td>Student’s Parents Number</td>
            <td><?php echo $ad_detail['pmobile'];?></td>
            <td>Parent’s E-mail id:</td>
            <td><?php echo $ad_detail['pemail'];?></td>
        </tr>
    </table>

        <table style="margin-bottom:25px;">
            <tr class="section-title">
                <td colspan="3">4. Reservation Details</td>
            </tr>
            <tr>
                <td>Caste Category: <?php echo $ad_detail['caste_name'];?></td>
                <td>Sub Caste: <?php echo $ad_detail['ssubcaste'];?></td>
                <td>Physically Handicapped: <?php echo $ad_detail['physical_handicap'];?></td>
            </tr>
        </table>

        <table style="margin-bottom:25px;">
            <tr class="section-title">
                <td colspan="8">5. Education Details</td>
            </tr>
            <tr>
                <th>Name of the Examination</th>
                <th>Name of Board</th>
                <th>Name of School / College</th>
                <th>Year of Passing</th>
                <th>Total Marks</th>
                <th>Marks Obtained</th>
                <th>Percentage (%)</th>
            </tr>

            <?php 

                foreach ($education_detail as $key => $value) 
                    {?>

                        <tr>
                            <td><?php echo $value['edu_name'];?></td>
                            <td><?php echo $value['sedu_board_name'];?></td>
                            <td><?php echo $value['sedu_school_name'];?></td>
                            <td><?php echo $value['sedu_passing_year'];?></td>
                            <td><?php echo $value['sedu_total_marks'];?></td>
                            <td><?php echo $value['sedu_marks_obtain'];?></td>
                            <td><?php echo $value['sedu_percentage'];?></td>
                        </tr>
               <?php }

            ?>
            
            
        </table>

        <table style="margin-bottom:25px;">
            <tr class="section-title">
                <td colspan="9">6. Qualifying Exam Details</td>
            </tr>
            <tr>
                <td>Qualifying Exam Name</td>
                <td colspan="8"><?php echo $qualifying_detail[0]['qualifying_exam_name']?></td>
            </tr>
            <tr>
                <td>Qualifying Exam Status</td>
                <td colspan="8"><?php echo $qualifying_detail[0]['q_name']?></td>
            </tr>

            <?php 

                if($qualifying_detail[0]['qid']==1)
                {?>
                    <tr>
                <td>Name of the Examination</td>
                <td>Degree Course</td>
                <td>Name of University</td>
                <td>Name of College</td>
                <td>Year of Passing</td>
                <td>Total Marks</td>
                <td>Marks Obtained</td>
                <td>%</td>
                <td>CGPA</td>
            </tr>
            <tr>
                <?php 

                foreach ($qualifying_detail as $key => $value) 
                    {?>

                        <tr>
                            <td><?php echo $value['qualifying_exam_name'];?></td>
                            <td><?php echo $value['dg_name'];?></td>
                            <td><?php echo $value['qed_university_name'];?></td>
                            <td><?php echo $value['qed_colg_name'];?></td>
                            <td><?php echo $value['qed_passing_year'];?></td>
                            <td><?php echo $value['qed_total_marks'];?></td>
                            <td><?php echo $value['qed_marks_obtained'];?></td>
                            <td><?php echo $value['qed_percentage'];?></td>
                            <td><?php echo $value['qed_cgpa'];?></td>
                        </tr>
               <?php }

            ?>
            </tr>

                <?php }

            ?>
            
        </table>

        <table style="margin-bottom:25px;">
            <tr class="section-title">
                <td colspan="4">7. Entrance Exam Details</td>
            </tr>
            <!-- <tr>
                <td>Entrance Exam Status</td>
                <td colspan="2">Passed/Appeared/Not Appeared</td>
            </tr> -->
            <tr>
                <td>Name of Entrance Exam</td>
                <td>Entrance Exam Status</td>
                <td>Date/Month/Year of Entrance Exam</td>
                <td>Percentile Score</td>
            </tr>
            <tr>
                <?php 

                foreach ($entrance_detail as $key => $value) 
                    {?>

                        <tr>
                            <td><?php echo $value['entrance_exam_name'];?></td>
                            <td><?php echo $value['ees_name'];?></td>
                            <td><?php echo $value['eed_month_year'];?></td>
                            <td><?php echo $value['eed_percentage'];?></td>
                        </tr>
               <?php }

            ?>
            </tr>
            
        </table>

        <table style="margin-bottom:25px;">
            <tr class="section-title">
                <td colspan="3">8. Attachments (Scan copy of Original Certificates)</td>
            </tr>
            <tr>
                <td>Sr. No.</td>
                <td>Name of Documents/Certificate</td>
                <td>Attached Doc</td>
            </tr>
            <tr>
                <td>1</td>
                <td>SSC MARKSHEET/SSC CERTIFICATE</td>
                <td><?php 
                    if(!empty($ad_detail['ssc_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>2</td>
                <td>HSC MARKSHEET/HSC CERTIFICATE</td>
                <td><?php 
                    if(!empty($ad_detail['hsc_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>3</td>
                <td>GRADUATION SEMESTER-1 MARKSHEET</td>
                <td><?php 
                    if(!empty($ad_detail['grad_sem1_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>4</td>
                <td>GRADUATION SEMESTER-2 MARKSHEET</td>
                <td><?php 
                    if(!empty($ad_detail['grad_sem2_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>5</td>
                <td>GRADUATION SEMESTER-3 MARKSHEET</td>
                <td><?php 
                    if(!empty($ad_detail['grad_sem3_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>6</td>
                <td>GRADUATION SEMESTER-4 MARKSHEET</td>
                <td><?php 
                    if(!empty($ad_detail['grad_sem4_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>7</td>
                <td>GRADUATION SEMESTER-5 MARKSHEET</td>
                <td><?php 
                    if(!empty($ad_detail['grad_sem5_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>8</td>
                <td>GRADUATION SEMESTER-6 MARKSHEET</td>
                <td><?php 
                    if(!empty($ad_detail['grad_sem6_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>9</td>
                <td>GRADUATION SEMESTER-7 MARKSHEET</td>
                <td><?php 
                    if(!empty($ad_detail['grad_sem7_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>10</td>
                <td>GRADUATION SEMESTER-8 MARKSHEET</td>
                <td><?php 
                    if(!empty($ad_detail['grad_sem8_marksheet']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>11</td>
                <td>GRADUATION PASSING CERTIFICATE</td>
                <td><?php 
                    if(!empty($ad_detail['grad_pass_certificate']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>12</td>
                <td>ENTRANCE EXAM RESULT</td>
                <td><?php 
                    if(!empty($ad_detail['entrance_exam_result']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>13</td>
                <td>BIRTH /SCHOOLE LEAVING/DOMICILE CERTIFICATE/PASSPORT</td>
                <td><?php 
                    if(!empty($ad_detail['birth_leave_domicile_passport']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>14</td>
                <td>GRADUATION TRANSFER CERTIFICATE</td>
                <td><?php 
                    if(!empty($ad_detail['grad_transfer_certificate']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>15</td>
                <td>CASTE CERTIFICATE</td>
                <td><?php 
                    if(!empty($ad_detail['caste_certificate']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>16</td>
                <td>CASTE VALIDITY CERTIFICATE</td>
                <td><?php 
                    if(!empty($ad_detail['caste_validity']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>17</td>
                <td>NON CREAMYLAYER CERTIFICATE</td>
                <td><?php 
                    if(!empty($ad_detail['non_creamylayer']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td>18</td>
                <td>GAP CERTIFICATE</td>
                <td><?php 
                    if(!empty($ad_detail['gap_certificate']))
                    {
                        echo "Uploaded";
                    }
                    ?>
                </td>
            </tr>
        </table>

        <table>
            <tr class="section-title">
                <td colspan="2">Declaration by student</td>
            </tr>
            <tr>
                <td style="border-right:none"><img src="https://www.rgcms.edu.in/wp-content/uploads/check-correct-icon.png" width="20px"></td>
                <td style="border-left:none">I hereby declare that I have read the rules related to admission and the information filled in by me in this form is accurate and true to the best of my knowledge. I will be responsible for any document the final admission will not be granted and/or admission will stand canceled.</td>
            </tr>
        </table>
    </div>

    </body>
    </html>
